Debian Bug report logs - #478717
ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault

version graph

Package: ruby1.9; Maintainer for ruby1.9 is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 30 Apr 2008 15:57:02 UTC

Severity: serious

Tags: pending

Merged with 491930

Fixed in versions linux-2.6/2.6.26-13, user-mode-linux/2.6.18-1um-2etch.24, linux-2.6/2.6.18.dfsg.1-24, linux-2.6.24/2.6.24-6~etchnhalf.8, fai-kernels/1.17+etch.24

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hppa@lists.debian.org, hppa@buildd.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to debian-hppa@lists.debian.org, hppa@buildd.debian.org, akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
Date: Wed, 30 Apr 2008 19:45:21 +0200
Package: ruby1.9
Version: 1.9.0.1-1
Severity: important

Hi,

ruby1.9 fails to build on hppa:
make[2]: Entering directory
`/build/buildd/ruby1.9-1.9.0.1/ext/continuation'
cc -I. -I../../.ext/include/hppa-linux -I../.././include
-I../.././ext/continuation -DRUBY_EXTCONF_H=\"extconf.h\"
-D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g  -fPIC   -o
continuation.o -c continuation.c
cc -shared -o ../../.ext/hppa-linux/continuation.so continuation.o -L.
-L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.9  -lpthread -lrt
-ldl -lcrypt -lm   -lc
make[2]: Leaving directory
`/build/buildd/ruby1.9-1.9.0.1/ext/continuation'
compiling curses
make[1]: *** [all] Segmentation fault
make: *** [debian/stamp-makefile-build] Terminated
Build killed with signal 15 after 300 minutes of inactivity
Build killed with signal 9 after 5 minutes of inactivity
******************************************************************************
Build finished at 20080429-2056
FAILED [dpkg-buildpackage died]

It's not the first time, see
http://lists.debian.org/debian-release/2008/04/msg00439.html

Is it a known problem?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #10 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 478717@bugs.debian.org
Cc: debian-hppa@lists.debian.org, kyle@debian.org, varenet@parisc-linux.org, grundler@parisc-linux.org, willy@parisc-linux.org
Subject: Re: Bug#478717: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
Date: Sun, 4 May 2008 11:23:40 +0200
[Message part 1 (text/plain, inline)]
On 30/04/08 at 19:45 +0200, Lucas Nussbaum wrote:
> ruby1.9 fails to build on hppa:
> make[2]: Entering directory
> `/build/buildd/ruby1.9-1.9.0.1/ext/continuation'
> cc -I. -I../../.ext/include/hppa-linux -I../.././include
> -I../.././ext/continuation -DRUBY_EXTCONF_H=\"extconf.h\"
> -D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g  -fPIC   -o
> continuation.o -c continuation.c
> cc -shared -o ../../.ext/hppa-linux/continuation.so continuation.o -L.
> -L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.9  -lpthread -lrt
> -ldl -lcrypt -lm   -lc
> make[2]: Leaving directory
> `/build/buildd/ruby1.9-1.9.0.1/ext/continuation'
> compiling curses
> make[1]: *** [all] Segmentation fault
> make: *** [debian/stamp-makefile-build] Terminated
> Build killed with signal 15 after 300 minutes of inactivity
> Build killed with signal 9 after 5 minutes of inactivity
> ******************************************************************************
> Build finished at 20080429-2056
> FAILED [dpkg-buildpackage died]
> 
> It's not the first time, see
> http://lists.debian.org/debian-release/2008/04/msg00439.html
> 
> Is it a known problem?

Hi,

I'm a bit surprised that nobody answered my mail. Is the hppa port still
actively worked on?

Anyway, if nobody else is interested in investigating this, and since
paer.debian.org has been down for months, could someone give me access
to an hppa machine somewhere, preferably running Debian unstable, with
ruby1.9 build-deps installed? Thibaut? Grant? Matthew?

Thank you,
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to "Thibaut VARENE" <varenet@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #15 received at 478717@bugs.debian.org (full text, mbox):

From: "Thibaut VARENE" <varenet@debian.org>
To: "Lucas Nussbaum" <lucas@lucas-nussbaum.net>
Cc: 478717@bugs.debian.org, debian-hppa@lists.debian.org, kyle@debian.org, grundler@parisc-linux.org, willy@parisc-linux.org
Subject: Re: Bug#478717: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
Date: Sun, 4 May 2008 12:19:20 +0200
On Sun, May 4, 2008 at 11:23 AM, Lucas Nussbaum
<lucas@lucas-nussbaum.net> wrote:
> On 30/04/08 at 19:45 +0200, Lucas Nussbaum wrote:

>  I'm a bit surprised that nobody answered my mail. Is the hppa port still
>  actively worked on?

FSVO "actively", I guess...

>  Anyway, if nobody else is interested in investigating this, and since
>  paer.debian.org has been down for months, could someone give me access
>  to an hppa machine somewhere, preferably running Debian unstable, with
>  ruby1.9 build-deps installed? Thibaut? Grant? Matthew?

Can do. Send me an ssh2 pubkey and a preferred login name.

T-Bone

-- 
Thibaut VARENE
http://www.parisc-linux.org/~varenet/




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #20 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 478717@bugs.debian.org
Cc: debian-hppa@lists.debian.org, hppa@buildd.debian.org
Subject: Re: Bug#478717: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
Date: Mon, 12 May 2008 17:47:53 +0200
On 30/04/08 at 19:45 +0200, Lucas Nussbaum wrote:
> Package: ruby1.9
> Version: 1.9.0.1-1
> Severity: important
> 
> Hi,
> 
> ruby1.9 fails to build on hppa:
> make[2]: Entering directory
> `/build/buildd/ruby1.9-1.9.0.1/ext/continuation'
> cc -I. -I../../.ext/include/hppa-linux -I../.././include
> -I../.././ext/continuation -DRUBY_EXTCONF_H=\"extconf.h\"
> -D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g  -fPIC   -o
> continuation.o -c continuation.c
> cc -shared -o ../../.ext/hppa-linux/continuation.so continuation.o -L.
> -L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.9  -lpthread -lrt
> -ldl -lcrypt -lm   -lc
> make[2]: Leaving directory
> `/build/buildd/ruby1.9-1.9.0.1/ext/continuation'
> compiling curses
> make[1]: *** [all] Segmentation fault
> make: *** [debian/stamp-makefile-build] Terminated
> Build killed with signal 15 after 300 minutes of inactivity
> Build killed with signal 9 after 5 minutes of inactivity
> ******************************************************************************
> Build finished at 20080429-2056
> FAILED [dpkg-buildpackage died]

More data points:
ruby1.9 failed on the hppa experimental buildds too, but this part of
the build was successful. It failed later. See
http://experimental.debian.net/build.php?&pkg=ruby1.9&ver=1.9.0.1-2&arch=hppa&file=log

lofn runs Linux lofn 2.6.22-4-parisc64-smp #2 SMP Tue Feb 12 22:37:43
UTC 2008 parisc64 GNU/Linux.

I couldn't reproduce the failure of the unstable buildds on the system
provided by Thibaut.

hppa buildd admins, could you tell us which kernel version are penalosa
and peri running?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #25 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 478717@bugs.debian.org
Cc: debian-hppa@lists.debian.org, hppa@buildd.debian.org, debian-release@lists.debian.org
Subject: killing left-over processes from ruby1.9 build failures crashes the kernel on hppa (Was: Bug#478717: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault)
Date: Fri, 16 May 2008 18:18:36 +0200
Hi,

(release-team: skip to the last paragraph)

I made some tests on simonides.ayous.org, running a 2.6.18 kernel, in a
sid chroot.

Building ruby1.9 simply blocks, leaving 2 miniruby processes running
using 100% CPU.

Killing those processes (with -9) crashes the system (I don't have
access to the console).

This clearly indicates a kernel problem (at least with 2.6.18). I need
access to a sparc box running 2.6.24 or 2.6.25 to try to reproduce this
issue. In the meantime, I can't do anything more.

The ruby1.9 version in testing fails to build with the make segfault
problem in a sid chroot on ayous. (Obviously, it built fine previously,
since it's in testing).

Couldn't we force ruby1.9 into testing, even if hppa is out of sync?
At this point I really don't think it's a ruby1.9 issue, and ruby1.9 is
tied to another transition (perl5.10, I think).
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Severity set to `serious' from `important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 16 May 2008 16:39:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #32 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 478717@bugs.debian.org
Cc: aurel32@debian.org
Subject: ruby1.9 still fails to build on hppa
Date: Tue, 12 Aug 2008 13:12:17 -0300
Hi,

I tried to build ruby1.9 on an hppa box provided by Aurelien Jarno,
running linux-image-2.6.26-1-parisc.

The build fails with:
compiling continuation
make[2]: Entering directory
`/home/lucas/ruby1.9-1.9.0.2/ext/continuation'
cc -I. -I../../.ext/include/hppa-linux -I../.././include
-I../.././ext/continuation -DRUBY_EXTCONF_H=\"extconf.h\"
-D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g -g -O2 -O2 -g
-Wall -Wno-parentheses  -fPIC  -o continuation.o -c continuation.c
cc -shared -o ../../.ext/hppa-linux/continuation.so continuation.o -L.
-L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.9  -lpthread -lrt
-ldl -lcrypt -lm   -lc
make[2]: Leaving directory
`/home/lucas/ruby1.9-1.9.0.2/ext/continuation'
compiling curses
make[1]: *** [all] Segmentation fault
make[1]: Leaving directory `/home/lucas/ruby1.9-1.9.0.2'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2

dmesg shows:
[17222611.660000]       _______________________________ 
[17222611.660000]      < Your System ate a SPARC! Gah! >
[17222611.660000]       ------------------------------- 
[17222611.660000]              \   ^__^
[17222611.660000]               \  (xx)\_______
[17222611.660000]                  (__)\       )\/\
[17222611.660000]                   U  ||----w |
[17222611.660000]                      ||     ||
[17222612.092000] miniruby (pid 18080): Protection id trap (code 27)
[17222612.164000] 
[17222612.184000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
[17222612.244000] PSW: 00000000000001000000000000001111 Not tainted
[17222612.316000] r00-03  0004000f 1013f000 1018e6b8 00000000
[17222612.384000] r04-07  15d099a0 00000000 00000000 00000000
[17222612.448000] r08-11  00000000 15c440c8 0020fd08 15c4415c
[17222612.512000] r12-15  15c4414c 403e73d8 00001000 40007000
[17222612.580000] r16-19  002120a0 00000010 0020fd90 0020fd0e
[17222612.644000] r20-23  00000000 15c4414c 00000000 00000000
[17222612.712000] r24-27  00000000 15c44260 15c44278 10386300
[17222612.776000] r28-31  00000001 00000000 15c44500 00000000
[17222612.840000] sr00-03  00000000 00000000 00000000 00001541
[17222612.908000] sr04-07  00000000 00000000 00000000 00000000
[17222612.976000] 
[17222612.996000] IASQ: 00000000 00000000 IAOQ: 1018e6e4 1018e6e8
[17222613.064000]  IIR: 0e74d240    ISR: 00001541  IOR: 0020fd0e
[17222613.136000]  CPU:        0   CR30: 15c44000 CR31: f010c010
[17222613.204000]  ORIG_R28: 00000001
[17222613.244000]  IAOQ[0]: do_sys_poll+0x2a8/0x350
[17222613.300000]  IAOQ[1]: do_sys_poll+0x2ac/0x350
[17222613.356000]  RP(r2): do_sys_poll+0x27c/0x350
[17222613.408000] Backtrace:
[17222613.440000]  [<1018e7dc>] sys_poll+0x50/0xa0
[17222613.496000]  [<1010f078>] syscall_exit+0x0/0x14
[17222613.552000] 
[17222613.572000] Backtrace:
[17222613.604000]  [<1010b150>] die_if_kernel+0x130/0x1a0
[17222613.668000]  [<1010b638>] handle_interruption+0x478/0x648
[17222613.736000]  [<1010e078>] intr_check_sig+0x0/0x34
[17222613.796000] 
[17222619.948000]       _______________________________ 
[17222619.948000]      < Your System ate a SPARC! Gah! >
[17222619.948000]       ------------------------------- 
[17222619.948000]              \   ^__^
[17222619.948000]               \  (xx)\_______
[17222619.948000]                  (__)\       )\/\
[17222619.948000]                   U  ||----w |
[17222619.948000]                      ||     ||
[17222620.380000] miniruby (pid 18079): Protection id trap (code 27)
[17222620.452000] 
[17222620.472000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
[17222620.532000] PSW: 00000000000001001111111100001111 Tainted: G      D  
[17222620.612000] r00-03  0004ff0f 1039da9c 1015f8ac 00000508
[17222620.680000] r04-07  10c202cc 00002000 104bfd60 00000000
[17222620.744000] r08-11  00000000 00000508 00000000 00000000
[17222620.808000] r12-15  ffffffff 15c21c08 00000fff 10c201c8
[17222620.876000] r16-19  10c20220 00000002 00000000 004e0f10
[17222620.940000] r20-23  00000508 00000000 00000508 00000508
[17222621.008000] r24-27  00000000 104bfd60 10c202cc 10386300
[17222621.072000] r28-31  00000000 00000000 10c20400 104bfd60
[17222621.136000] sr00-03  00000000 00001417 00000000 00001541
[17222621.204000] sr04-07  00000000 00000000 00000000 00000000
[17222621.272000] 
[17222621.292000] IASQ: 00000000 00000000 IAOQ: 1015d18c 1015d190
[17222621.360000]  IIR: 0e7cd200    ISR: 00001541  IOR: 004e0f10
[17222621.432000]  CPU:        0   CR30: 10c20000 CR31: f010c010
[17222621.500000]  ORIG_R28: 1740aba0
[17222621.540000]  IAOQ[0]: file_read_actor+0x5c/0x178
[17222621.600000]  IAOQ[1]: file_read_actor+0x60/0x178
[17222621.656000]  RP(r2): generic_file_aio_read+0x2e0/0x598
[17222621.720000] Backtrace:
[17222621.752000]  [<1015f8ac>] generic_file_aio_read+0x2e0/0x598
[17222621.824000]  [<101808ac>] do_sync_read+0xd0/0x134
[17222621.884000]  [<1018130c>] vfs_read+0x84/0x174
[17222621.940000]  [<10181838>] sys_read+0x54/0x9c
[17222621.996000]  [<1010f078>] syscall_exit+0x0/0x14
[17222622.052000] 
[17222622.072000] Backtrace:
[17222622.104000]  [<1010b150>] die_if_kernel+0x130/0x1a0
[17222622.164000]  [<1010b638>] handle_interruption+0x478/0x648
[17222622.232000]  [<1010e078>] intr_check_sig+0x0/0x34
[17222622.292000] 

lucas@norton:~$ ps x
  PID TTY      STAT   TIME COMMAND
 5999 ?        Ss     0:00 SCREEN
 6000 pts/1    Ss     0:11 /bin/bash
 6098 pts/1    S+     0:09 -bash
18081 pts/1    R     85:44 ./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb ./ext/extmk.rb --make=/usr/bin/make --dest-dir= --extout=.ext
19365 ?        S      0:00 sshd: lucas@pts/0
19366 pts/0    Ss     0:11 -bash
19422 pts/0    R+     0:00 ps x

killing the leftover process (18081) works (the process is killed). It doesn't
cause a system crash anymore.

Rerunning the same command reproduces the segfault.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #37 received at 478717@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 478717@bugs.debian.org
Subject: Re: ruby1.9 still fails to build on hppa
Date: Tue, 12 Aug 2008 18:26:44 +0200
On Tue, Aug 12, 2008 at 01:12:17PM -0300, Lucas Nussbaum wrote:
> Hi,
> 
> I tried to build ruby1.9 on an hppa box provided by Aurelien Jarno,
> running linux-image-2.6.26-1-parisc.
> 
> The build fails with:
> compiling continuation
> make[2]: Entering directory
> `/home/lucas/ruby1.9-1.9.0.2/ext/continuation'
> cc -I. -I../../.ext/include/hppa-linux -I../.././include
> -I../.././ext/continuation -DRUBY_EXTCONF_H=\"extconf.h\"
> -D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g -g -O2 -O2 -g
> -Wall -Wno-parentheses  -fPIC  -o continuation.o -c continuation.c
> cc -shared -o ../../.ext/hppa-linux/continuation.so continuation.o -L.
> -L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.9  -lpthread -lrt
> -ldl -lcrypt -lm   -lc
> make[2]: Leaving directory
> `/home/lucas/ruby1.9-1.9.0.2/ext/continuation'
> compiling curses
> make[1]: *** [all] Segmentation fault
> make[1]: Leaving directory `/home/lucas/ruby1.9-1.9.0.2'
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> 
> dmesg shows:
> [17222611.660000]       _______________________________ 
> [17222611.660000]      < Your System ate a SPARC! Gah! >
> [17222611.660000]       ------------------------------- 
> [17222611.660000]              \   ^__^
> [17222611.660000]               \  (xx)\_______
> [17222611.660000]                  (__)\       )\/\
> [17222611.660000]                   U  ||----w |
> [17222611.660000]                      ||     ||
> [17222612.092000] miniruby (pid 18080): Protection id trap (code 27)
> [17222612.164000] 
> [17222612.184000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
> [17222612.244000] PSW: 00000000000001000000000000001111 Not tainted
> [17222612.316000] r00-03  0004000f 1013f000 1018e6b8 00000000
> [17222612.384000] r04-07  15d099a0 00000000 00000000 00000000
> [17222612.448000] r08-11  00000000 15c440c8 0020fd08 15c4415c
> [17222612.512000] r12-15  15c4414c 403e73d8 00001000 40007000
> [17222612.580000] r16-19  002120a0 00000010 0020fd90 0020fd0e
> [17222612.644000] r20-23  00000000 15c4414c 00000000 00000000
> [17222612.712000] r24-27  00000000 15c44260 15c44278 10386300
> [17222612.776000] r28-31  00000001 00000000 15c44500 00000000
> [17222612.840000] sr00-03  00000000 00000000 00000000 00001541
> [17222612.908000] sr04-07  00000000 00000000 00000000 00000000
> [17222612.976000] 
> [17222612.996000] IASQ: 00000000 00000000 IAOQ: 1018e6e4 1018e6e8
> [17222613.064000]  IIR: 0e74d240    ISR: 00001541  IOR: 0020fd0e
> [17222613.136000]  CPU:        0   CR30: 15c44000 CR31: f010c010
> [17222613.204000]  ORIG_R28: 00000001
> [17222613.244000]  IAOQ[0]: do_sys_poll+0x2a8/0x350
> [17222613.300000]  IAOQ[1]: do_sys_poll+0x2ac/0x350
> [17222613.356000]  RP(r2): do_sys_poll+0x27c/0x350
> [17222613.408000] Backtrace:
> [17222613.440000]  [<1018e7dc>] sys_poll+0x50/0xa0
> [17222613.496000]  [<1010f078>] syscall_exit+0x0/0x14
> [17222613.552000] 
> [17222613.572000] Backtrace:
> [17222613.604000]  [<1010b150>] die_if_kernel+0x130/0x1a0
> [17222613.668000]  [<1010b638>] handle_interruption+0x478/0x648
> [17222613.736000]  [<1010e078>] intr_check_sig+0x0/0x34
> [17222613.796000] 
> [17222619.948000]       _______________________________ 
> [17222619.948000]      < Your System ate a SPARC! Gah! >
> [17222619.948000]       ------------------------------- 
> [17222619.948000]              \   ^__^
> [17222619.948000]               \  (xx)\_______
> [17222619.948000]                  (__)\       )\/\
> [17222619.948000]                   U  ||----w |
> [17222619.948000]                      ||     ||
> [17222620.380000] miniruby (pid 18079): Protection id trap (code 27)
> [17222620.452000] 
> [17222620.472000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
> [17222620.532000] PSW: 00000000000001001111111100001111 Tainted: G      D  
> [17222620.612000] r00-03  0004ff0f 1039da9c 1015f8ac 00000508
> [17222620.680000] r04-07  10c202cc 00002000 104bfd60 00000000
> [17222620.744000] r08-11  00000000 00000508 00000000 00000000
> [17222620.808000] r12-15  ffffffff 15c21c08 00000fff 10c201c8
> [17222620.876000] r16-19  10c20220 00000002 00000000 004e0f10
> [17222620.940000] r20-23  00000508 00000000 00000508 00000508
> [17222621.008000] r24-27  00000000 104bfd60 10c202cc 10386300
> [17222621.072000] r28-31  00000000 00000000 10c20400 104bfd60
> [17222621.136000] sr00-03  00000000 00001417 00000000 00001541
> [17222621.204000] sr04-07  00000000 00000000 00000000 00000000
> [17222621.272000] 
> [17222621.292000] IASQ: 00000000 00000000 IAOQ: 1015d18c 1015d190
> [17222621.360000]  IIR: 0e7cd200    ISR: 00001541  IOR: 004e0f10
> [17222621.432000]  CPU:        0   CR30: 10c20000 CR31: f010c010
> [17222621.500000]  ORIG_R28: 1740aba0
> [17222621.540000]  IAOQ[0]: file_read_actor+0x5c/0x178
> [17222621.600000]  IAOQ[1]: file_read_actor+0x60/0x178
> [17222621.656000]  RP(r2): generic_file_aio_read+0x2e0/0x598
> [17222621.720000] Backtrace:
> [17222621.752000]  [<1015f8ac>] generic_file_aio_read+0x2e0/0x598
> [17222621.824000]  [<101808ac>] do_sync_read+0xd0/0x134
> [17222621.884000]  [<1018130c>] vfs_read+0x84/0x174
> [17222621.940000]  [<10181838>] sys_read+0x54/0x9c
> [17222621.996000]  [<1010f078>] syscall_exit+0x0/0x14
> [17222622.052000] 
> [17222622.072000] Backtrace:
> [17222622.104000]  [<1010b150>] die_if_kernel+0x130/0x1a0
> [17222622.164000]  [<1010b638>] handle_interruption+0x478/0x648
> [17222622.232000]  [<1010e078>] intr_check_sig+0x0/0x34
> [17222622.292000] 
> 
> lucas@norton:~$ ps x
>   PID TTY      STAT   TIME COMMAND
>  5999 ?        Ss     0:00 SCREEN
>  6000 pts/1    Ss     0:11 /bin/bash
>  6098 pts/1    S+     0:09 -bash
> 18081 pts/1    R     85:44 ./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb ./ext/extmk.rb --make=/usr/bin/make --dest-dir= --extout=.ext
> 19365 ?        S      0:00 sshd: lucas@pts/0
> 19366 pts/0    Ss     0:11 -bash
> 19422 pts/0    R+     0:00 ps x
> 
> killing the leftover process (18081) works (the process is killed). It doesn't
> cause a system crash anymore.
> 
> Rerunning the same command reproduces the segfault.

Do you have a backtrace of the segfault?

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #42 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Aurelien Jarno <aurel32@debian.org>, dato@debian.org
Cc: 478717@bugs.debian.org, 491930@bugs.debian.org
Subject: Re: ruby1.9 still fails to build on hppa
Date: Fri, 15 Aug 2008 01:50:09 -0300
On 12/08/08 at 18:26 +0200, Aurelien Jarno wrote:
> On Tue, Aug 12, 2008 at 01:12:17PM -0300, Lucas Nussbaum wrote:
> > Hi,
> > 
> > I tried to build ruby1.9 on an hppa box provided by Aurelien Jarno,
> > running linux-image-2.6.26-1-parisc.
> > 
> > The build fails with:
> > compiling continuation
> > make[2]: Entering directory
> > `/home/lucas/ruby1.9-1.9.0.2/ext/continuation'
> > cc -I. -I../../.ext/include/hppa-linux -I../.././include
> > -I../.././ext/continuation -DRUBY_EXTCONF_H=\"extconf.h\"
> > -D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g -g -O2 -O2 -g
> > -Wall -Wno-parentheses  -fPIC  -o continuation.o -c continuation.c
> > cc -shared -o ../../.ext/hppa-linux/continuation.so continuation.o -L.
> > -L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.9  -lpthread -lrt
> > -ldl -lcrypt -lm   -lc
> > make[2]: Leaving directory
> > `/home/lucas/ruby1.9-1.9.0.2/ext/continuation'
> > compiling curses
> > make[1]: *** [all] Segmentation fault
> > make[1]: Leaving directory `/home/lucas/ruby1.9-1.9.0.2'
> > make: *** [debian/stamp-makefile-build] Error 2
> > dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> > 
> > dmesg shows:
> > [17222611.660000]       _______________________________ 
> > [17222611.660000]      < Your System ate a SPARC! Gah! >
> > [17222611.660000]       ------------------------------- 
> > [17222611.660000]              \   ^__^
> > [17222611.660000]               \  (xx)\_______
> > [17222611.660000]                  (__)\       )\/\
> > [17222611.660000]                   U  ||----w |
> > [17222611.660000]                      ||     ||
> > [17222612.092000] miniruby (pid 18080): Protection id trap (code 27)
> > [17222612.164000] 
> > [17222612.184000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
> > [17222612.244000] PSW: 00000000000001000000000000001111 Not tainted
> > [17222612.316000] r00-03  0004000f 1013f000 1018e6b8 00000000
> > [17222612.384000] r04-07  15d099a0 00000000 00000000 00000000
> > [17222612.448000] r08-11  00000000 15c440c8 0020fd08 15c4415c
> > [17222612.512000] r12-15  15c4414c 403e73d8 00001000 40007000
> > [17222612.580000] r16-19  002120a0 00000010 0020fd90 0020fd0e
> > [17222612.644000] r20-23  00000000 15c4414c 00000000 00000000
> > [17222612.712000] r24-27  00000000 15c44260 15c44278 10386300
> > [17222612.776000] r28-31  00000001 00000000 15c44500 00000000
> > [17222612.840000] sr00-03  00000000 00000000 00000000 00001541
> > [17222612.908000] sr04-07  00000000 00000000 00000000 00000000
> > [17222612.976000] 
> > [17222612.996000] IASQ: 00000000 00000000 IAOQ: 1018e6e4 1018e6e8
> > [17222613.064000]  IIR: 0e74d240    ISR: 00001541  IOR: 0020fd0e
> > [17222613.136000]  CPU:        0   CR30: 15c44000 CR31: f010c010
> > [17222613.204000]  ORIG_R28: 00000001
> > [17222613.244000]  IAOQ[0]: do_sys_poll+0x2a8/0x350
> > [17222613.300000]  IAOQ[1]: do_sys_poll+0x2ac/0x350
> > [17222613.356000]  RP(r2): do_sys_poll+0x27c/0x350
> > [17222613.408000] Backtrace:
> > [17222613.440000]  [<1018e7dc>] sys_poll+0x50/0xa0
> > [17222613.496000]  [<1010f078>] syscall_exit+0x0/0x14
> > [17222613.552000] 
> > [17222613.572000] Backtrace:
> > [17222613.604000]  [<1010b150>] die_if_kernel+0x130/0x1a0
> > [17222613.668000]  [<1010b638>] handle_interruption+0x478/0x648
> > [17222613.736000]  [<1010e078>] intr_check_sig+0x0/0x34
> > [17222613.796000] 
> > [17222619.948000]       _______________________________ 
> > [17222619.948000]      < Your System ate a SPARC! Gah! >
> > [17222619.948000]       ------------------------------- 
> > [17222619.948000]              \   ^__^
> > [17222619.948000]               \  (xx)\_______
> > [17222619.948000]                  (__)\       )\/\
> > [17222619.948000]                   U  ||----w |
> > [17222619.948000]                      ||     ||
> > [17222620.380000] miniruby (pid 18079): Protection id trap (code 27)
> > [17222620.452000] 
> > [17222620.472000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
> > [17222620.532000] PSW: 00000000000001001111111100001111 Tainted: G      D  
> > [17222620.612000] r00-03  0004ff0f 1039da9c 1015f8ac 00000508
> > [17222620.680000] r04-07  10c202cc 00002000 104bfd60 00000000
> > [17222620.744000] r08-11  00000000 00000508 00000000 00000000
> > [17222620.808000] r12-15  ffffffff 15c21c08 00000fff 10c201c8
> > [17222620.876000] r16-19  10c20220 00000002 00000000 004e0f10
> > [17222620.940000] r20-23  00000508 00000000 00000508 00000508
> > [17222621.008000] r24-27  00000000 104bfd60 10c202cc 10386300
> > [17222621.072000] r28-31  00000000 00000000 10c20400 104bfd60
> > [17222621.136000] sr00-03  00000000 00001417 00000000 00001541
> > [17222621.204000] sr04-07  00000000 00000000 00000000 00000000
> > [17222621.272000] 
> > [17222621.292000] IASQ: 00000000 00000000 IAOQ: 1015d18c 1015d190
> > [17222621.360000]  IIR: 0e7cd200    ISR: 00001541  IOR: 004e0f10
> > [17222621.432000]  CPU:        0   CR30: 10c20000 CR31: f010c010
> > [17222621.500000]  ORIG_R28: 1740aba0
> > [17222621.540000]  IAOQ[0]: file_read_actor+0x5c/0x178
> > [17222621.600000]  IAOQ[1]: file_read_actor+0x60/0x178
> > [17222621.656000]  RP(r2): generic_file_aio_read+0x2e0/0x598
> > [17222621.720000] Backtrace:
> > [17222621.752000]  [<1015f8ac>] generic_file_aio_read+0x2e0/0x598
> > [17222621.824000]  [<101808ac>] do_sync_read+0xd0/0x134
> > [17222621.884000]  [<1018130c>] vfs_read+0x84/0x174
> > [17222621.940000]  [<10181838>] sys_read+0x54/0x9c
> > [17222621.996000]  [<1010f078>] syscall_exit+0x0/0x14
> > [17222622.052000] 
> > [17222622.072000] Backtrace:
> > [17222622.104000]  [<1010b150>] die_if_kernel+0x130/0x1a0
> > [17222622.164000]  [<1010b638>] handle_interruption+0x478/0x648
> > [17222622.232000]  [<1010e078>] intr_check_sig+0x0/0x34
> > [17222622.292000] 
> > 
> > lucas@norton:~$ ps x
> >   PID TTY      STAT   TIME COMMAND
> >  5999 ?        Ss     0:00 SCREEN
> >  6000 pts/1    Ss     0:11 /bin/bash
> >  6098 pts/1    S+     0:09 -bash
> > 18081 pts/1    R     85:44 ./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb ./ext/extmk.rb --make=/usr/bin/make --dest-dir= --extout=.ext
> > 19365 ?        S      0:00 sshd: lucas@pts/0
> > 19366 pts/0    Ss     0:11 -bash
> > 19422 pts/0    R+     0:00 ps x
> > 
> > killing the leftover process (18081) works (the process is killed). It doesn't
> > cause a system crash anymore.
> > 
> > Rerunning the same command reproduces the segfault.
> 
> Do you have a backtrace of the segfault?

Unfortunately no. Ruby uses pthreads intensively, and maybe gdb's
support for pthread debugging hides the bug or something.

However, I tried to build ruby1.9 1.9.0-1 (which built fine previously),
and it also failed to build with the same segfault, so something that
worked definitely broke.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #47 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: debian-hppa@lists.debian.org
Cc: 478717@bugs.debian.org, 491930@bugs.debian.org
Subject: Severe ruby1.9 problem on hppa
Date: Fri, 15 Aug 2008 15:11:34 -0300
Dear debian-hppa,

I just wanted to make sure that you are aware that there is a serious
problem with ruby1.9 on hppa (which only affects hppa). See bug #478717.

ruby1.9 can no longer be built from source on hppa (even versions that
built fine previously).

I won't have time to do any other work on this issue.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Tue, 14 Oct 2008 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 14 Oct 2008 06:48:02 GMT) Full text and rfc822 format available.

Message #52 received at 478717@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: debian-hppa@lists.debian.org, 478717@bugs.debian.org, 491930@bugs.debian.org
Cc: "Yugui (Yuki Sonoda)" <yugui@yugui.jp>
Subject: Re: ruby1.9 still fails to build on hppa
Date: Tue, 14 Oct 2008 15:44:36 +0900
Hi,

 I've asked this issue at ruby-dev@ruby-lang.org and reply from ruby1.9
 release manager, Yugui. The reply is,

 "We does not support hppa platform (*) now, but we hope to support platforms 
  that Debian do, at least. So, could you give us accessible hppa machine
  (and also ruby on hppa maintainer)?"

 *) http://redmine.ruby-lang.org/wiki/ruby-19/SupportedPlatforms

  
 So, can we give them anything to solve this issue (and maintain ruby1.9 
 for future)?



 # I'm not a DD, just a DM and not an expert for C/Ruby, so I cannot do for
   it except ask to help for you ;-)
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Tue, 14 Oct 2008 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thibaut VARENE" <varenet@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 14 Oct 2008 10:33:02 GMT) Full text and rfc822 format available.

Message #57 received at 478717@bugs.debian.org (full text, mbox):

From: "Thibaut VARENE" <varenet@debian.org>
To: "Hideki Yamane" <henrich@debian.or.jp>, "Yugui (Yuki Sonoda)" <yugui@yugui.jp>
Cc: debian-hppa@lists.debian.org, 478717@bugs.debian.org, 491930@bugs.debian.org
Subject: Re: ruby1.9 still fails to build on hppa
Date: Tue, 14 Oct 2008 12:27:16 +0200
こんにちは みんなさん

We can certainly provide access to hppa machines, see
http://www.parisc-linux.org/cluster.html, especially to someone
willing to help making things work ;-)

HTH

-- 
Thibaut VARENE
http://www.parisc-linux.org/~varenet/

On Tue, Oct 14, 2008 at 8:44 AM, Hideki Yamane <henrich@debian.or.jp> wrote:
> Hi,
>
>  I've asked this issue at ruby-dev@ruby-lang.org and reply from ruby1.9
>  release manager, Yugui. The reply is,
>
>  "We does not support hppa platform (*) now, but we hope to support platforms
>  that Debian do, at least. So, could you give us accessible hppa machine
>  (and also ruby on hppa maintainer)?"
>
>  *) http://redmine.ruby-lang.org/wiki/ruby-19/SupportedPlatforms
>
>
>  So, can we give them anything to solve this issue (and maintain ruby1.9
>  for future)?
>
>
>
>  # I'm not a DD, just a DM and not an expert for C/Ruby, so I cannot do for
>   it except ask to help for you ;-)
>
>
> --
> Regards,
>
>  Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
>  http://wiki.debian.org/HidekiYamane
>
>
> --
> To UNSUBSCRIBE, email to debian-hppa-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>
>

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Tue, 14 Oct 2008 22:54:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 14 Oct 2008 22:54:20 GMT) Full text and rfc822 format available.

Message #62 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 491930@bugs.debian.org, 478717@bugs.debian.org
Cc: control@bugs.debian.org, LaMont Jones <lamont@debian.org>, sonicmctails@gmail.com
Subject: ruby1.9/hppa problems
Date: Wed, 15 Oct 2008 00:47:07 +0200
forcemerge 478717 491930
thanks

Hi,

I'm merging #478717 and #491930, since they are about the same issue
(ruby1.9's recent versions not being available on hppa).

I did some tests. The last upstream revision of ruby1.9 that I could
successfully compile was rev 11437 (Sun Dec 31 07:24:56 2006 +0000).
This was just before the merge of YARV, so YARV is a good suspect.
Unfortunately, the YARV merge was done all at once, so it's not possible
to bissect it.

Open questions:
- is there a later version that is buildable on Debian? That would be
  great, because if would exclude a bug in the big YARV merge. The first
  "bad" version I could find (with the failure that is reported in this
  bug) is rev 12544 (Fri Jun 15 03:27:33 2007 +0000). This is confirmed
  by http://buildd.debian.org/build.php?arch=hppa&pkg=ruby1.9

- 1.9.0.0-2 was built and uploaded, but the log is not available on
  buildd.d.o, so it was probably a manual upload. The .changes is signed
  by LaMont Jones <lamont@debian.org>, and the package works fine
  according to some basic tests. Lamont, do you remember how you
  managed to build that package? Did you use an old system/kernel?

Thank you,
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Forcibly Merged 478717 491930. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 14 Oct 2008 22:54:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Wed, 15 Oct 2008 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 15 Oct 2008 09:06:02 GMT) Full text and rfc822 format available.

Message #69 received at 478717@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: "Lucas Nussbaum" <lucas@lucas-nussbaum.net>
Cc: 491930@bugs.debian.org, 478717@bugs.debian.org, control@bugs.debian.org, "LaMont Jones" <lamont@debian.org>
Subject: Re: ruby1.9/hppa problems
Date: Wed, 15 Oct 2008 04:16:14 -0400
Working with lucas, I've successfully been able to build ruby1.9. The
issue is related to NPTL support in the kernel. NPTL on HPPA is
extremely unstable it seems, and currently causes anything that uses
to threads to go boom under some cirmstances. Some versions of the
kernel however appear to work. I had a successful build with a machine
with the following uname

Linux gsyprf11 2.6.22.19 #1 SMP Sat Apr 5 18:55:33 PDT 2008 parisc64 GNU/Linux

The test suite passes successfully, although it does take an extremely
long time to build. cpuinfo is as follows:

processor	: 0
cpu family	: PA-RISC 2.0
cpu		: PA8700 (PCX-W2)
cpu MHz		: 750.000000
model		: 9000/800/A500-7X
model name	: Crescendo 750 W2
hversion	: 0x00005e30
sversion	: 0x00000491
I-cache		: 768 KB
D-cache		: 1536 KB (WB, direct mapped)
ITLB entries	: 240
DTLB entries	: 240 - shared with ITLB
bogomips	: 1495.04
software id	: 824930630

processor	: 1
cpu family	: PA-RISC 2.0
cpu		: PA8700 (PCX-W2)
cpu MHz		: 750.000000
model		: 9000/800/A500-7X
model name	: Crescendo 750 W2
hversion	: 0x00005e30
sversion	: 0x00000491
I-cache		: 768 KB
D-cache		: 1536 KB (WB, direct mapped)
ITLB entries	: 240
DTLB entries	: 240 - shared with ITLB
bogomips	: 1495.04
software id	: 824930630

I uploaded the results to ~ncommander-guest/ruby1.9 on alioth. The
219kb build.log is available. Built with debuild -B -b
Michael

On Tue, Oct 14, 2008 at 6:47 PM, Lucas Nussbaum
<lucas@lucas-nussbaum.net> wrote:
> forcemerge 478717 491930
> thanks
>
> Hi,
>
> I'm merging #478717 and #491930, since they are about the same issue
> (ruby1.9's recent versions not being available on hppa).
>
> I did some tests. The last upstream revision of ruby1.9 that I could
> successfully compile was rev 11437 (Sun Dec 31 07:24:56 2006 +0000).
> This was just before the merge of YARV, so YARV is a good suspect.
> Unfortunately, the YARV merge was done all at once, so it's not possible
> to bissect it.
>
> Open questions:
> - is there a later version that is buildable on Debian? That would be
>  great, because if would exclude a bug in the big YARV merge. The first
>  "bad" version I could find (with the failure that is reported in this
>  bug) is rev 12544 (Fri Jun 15 03:27:33 2007 +0000). This is confirmed
>  by http://buildd.debian.org/build.php?arch=hppa&pkg=ruby1.9
>
> - 1.9.0.0-2 was built and uploaded, but the log is not available on
>  buildd.d.o, so it was probably a manual upload. The .changes is signed
>  by LaMont Jones <lamont@debian.org>, and the package works fine
>  according to some basic tests. Lamont, do you remember how you
>  managed to build that package? Did you use an old system/kernel?
>
> Thank you,
> --
> | Lucas Nussbaum
> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
>




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Wed, 15 Oct 2008 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 15 Oct 2008 09:18:03 GMT) Full text and rfc822 format available.

Message #74 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Michael Casadevall <sonicmctails@gmail.com>
Cc: 491930@bugs.debian.org, 478717@bugs.debian.org, LaMont Jones <lamont@debian.org>, adeodato@debian.org
Subject: Re: ruby1.9/hppa problems
Date: Wed, 15 Oct 2008 11:16:37 +0200
On 15/10/08 at 04:16 -0400, Michael Casadevall wrote:
> Working with lucas, I've successfully been able to build ruby1.9. The
> issue is related to NPTL support in the kernel. NPTL on HPPA is
> extremely unstable it seems, and currently causes anything that uses
> to threads to go boom under some cirmstances. Some versions of the
> kernel however appear to work. I had a successful build with a machine
> with the following uname
> 
> Linux gsyprf11 2.6.22.19 #1 SMP Sat Apr 5 18:55:33 PDT 2008 parisc64 GNU/Linux
> 
> The test suite passes successfully, although it does take an extremely
> long time to build. cpuinfo is as follows:
> 
> processor	: 0
> cpu family	: PA-RISC 2.0
> cpu		: PA8700 (PCX-W2)
> cpu MHz		: 750.000000
> model		: 9000/800/A500-7X
> model name	: Crescendo 750 W2
> hversion	: 0x00005e30
> sversion	: 0x00000491
> I-cache		: 768 KB
> D-cache		: 1536 KB (WB, direct mapped)
> ITLB entries	: 240
> DTLB entries	: 240 - shared with ITLB
> bogomips	: 1495.04
> software id	: 824930630
> 
> processor	: 1
> cpu family	: PA-RISC 2.0
> cpu		: PA8700 (PCX-W2)
> cpu MHz		: 750.000000
> model		: 9000/800/A500-7X
> model name	: Crescendo 750 W2
> hversion	: 0x00005e30
> sversion	: 0x00000491
> I-cache		: 768 KB
> D-cache		: 1536 KB (WB, direct mapped)
> ITLB entries	: 240
> DTLB entries	: 240 - shared with ITLB
> bogomips	: 1495.04
> software id	: 824930630
> 
> I uploaded the results to ~ncommander-guest/ruby1.9 on alioth. The
> 219kb build.log is available. Built with debuild -B -b
> Michael

Following Michael's steps, I successfully built ruby1.9 on mkhppa3, one
of Thibaut Varene's boxes, using the following kernel:
Linux mkhppa3 2.6.22.19 #1 SMP Tue Oct 14 14:22:05 CEST 2008 parisc64
GNU/Linux

Before that, I tried to build using lenny's 2.6.26. I ran into several
WARN_ON()s and hard locks, and never managed to build ruby1.9 on hppa
using lenny's kernel. This kernel is clearly not ready for a release,
but it's not my call to make...

After the build, ruby's test suite mostly passed (some thread tests just
blocked, so there's still a problem with threading on hppa). So I had to
disable it in debian/rules. I think that the status is "good enough" for
lenny/hppa. And this should allow to build the other missing packages
too.

Dato, is it fine if I upload those binaries to unstable? How should I
proceed to make them migrate to testing? I think they will magically
appear in testing since the source is already in testing, but I'm not
sure now.

Thanks a lot to Michael for hinting about 2.6.22.19 :-)
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Wed, 15 Oct 2008 09:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 15 Oct 2008 09:30:06 GMT) Full text and rfc822 format available.

Message #79 received at 478717@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: "Thibaut VARENE" <varenet@debian.org>, "Yugui (Yuki Sonoda)" <yugui@yugui.jp>
Cc: debian-hppa@lists.debian.org, 478717@bugs.debian.org, 491930@bugs.debian.org
Subject: Re: ruby1.9 still fails to build on hppa
Date: Wed, 15 Oct 2008 18:24:09 +0900
On Tue, 14 Oct 2008 12:27:16 +0200
"Thibaut VARENE" <varenet@debian.org> wrote:
> こんにちは みんなさん

 :-)

> We can certainly provide access to hppa machines, see
> http://www.parisc-linux.org/cluster.html, especially to someone
> willing to help making things work ;-)

 Okay, thanks Thibaut! That sounds good.

 So, Yugui, can you work for this issue on the machines that listed above?
 (or needs to call for ruby-hppa maintainers on ruby-dev? I think people who 
  maintain ruby on ia64 or something would be interested (maybe).)


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Wed, 15 Oct 2008 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 15 Oct 2008 09:33:02 GMT) Full text and rfc822 format available.

Message #84 received at 478717@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: "Thibaut VARENE" <varenet@debian.org>, "Yugui (Yuki Sonoda)" <yugui@yugui.jp>
Cc: debian-hppa@lists.debian.org, 478717@bugs.debian.org, 491930@bugs.debian.org
Subject: Re: ruby1.9 still fails to build on hppa
Date: Wed, 15 Oct 2008 18:31:47 +0900
On Tue, 14 Oct 2008 12:27:16 +0200
"Thibaut VARENE" <varenet@debian.org> wrote:
> こんにちは みんなさん

 :-)

> We can certainly provide access to hppa machines, see
> http://www.parisc-linux.org/cluster.html, especially to someone
> willing to help making things work ;-)

 Okay, thanks Thibaut! That sounds good.

 So, Yugui, can you do anything for this issue on the machines that 
 listed above? (or needs to call for ruby-hppa maintainers on ruby-dev?
 I think people who maintain ruby on ia64 or something would be interested).
 (maybe ;)


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Wed, 15 Oct 2008 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 15 Oct 2008 09:45:05 GMT) Full text and rfc822 format available.

Message #89 received at 478717@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: "Lucas Nussbaum" <lucas@lucas-nussbaum.net>
Cc: 491930@bugs.debian.org, 478717@bugs.debian.org, "LaMont Jones" <lamont@debian.org>, adeodato@debian.org
Subject: Re: ruby1.9/hppa problems
Date: Wed, 15 Oct 2008 05:43:12 -0400
It should be noted that in my run, the test suite completed with only
two failures.
Michael

On Wed, Oct 15, 2008 at 5:16 AM, Lucas Nussbaum
<lucas@lucas-nussbaum.net> wrote:
> On 15/10/08 at 04:16 -0400, Michael Casadevall wrote:
>> Working with lucas, I've successfully been able to build ruby1.9. The
>> issue is related to NPTL support in the kernel. NPTL on HPPA is
>> extremely unstable it seems, and currently causes anything that uses
>> to threads to go boom under some cirmstances. Some versions of the
>> kernel however appear to work. I had a successful build with a machine
>> with the following uname
>>
>> Linux gsyprf11 2.6.22.19 #1 SMP Sat Apr 5 18:55:33 PDT 2008 parisc64 GNU/Linux
>>
>> The test suite passes successfully, although it does take an extremely
>> long time to build. cpuinfo is as follows:
>>
>> processor     : 0
>> cpu family    : PA-RISC 2.0
>> cpu           : PA8700 (PCX-W2)
>> cpu MHz               : 750.000000
>> model         : 9000/800/A500-7X
>> model name    : Crescendo 750 W2
>> hversion      : 0x00005e30
>> sversion      : 0x00000491
>> I-cache               : 768 KB
>> D-cache               : 1536 KB (WB, direct mapped)
>> ITLB entries  : 240
>> DTLB entries  : 240 - shared with ITLB
>> bogomips      : 1495.04
>> software id   : 824930630
>>
>> processor     : 1
>> cpu family    : PA-RISC 2.0
>> cpu           : PA8700 (PCX-W2)
>> cpu MHz               : 750.000000
>> model         : 9000/800/A500-7X
>> model name    : Crescendo 750 W2
>> hversion      : 0x00005e30
>> sversion      : 0x00000491
>> I-cache               : 768 KB
>> D-cache               : 1536 KB (WB, direct mapped)
>> ITLB entries  : 240
>> DTLB entries  : 240 - shared with ITLB
>> bogomips      : 1495.04
>> software id   : 824930630
>>
>> I uploaded the results to ~ncommander-guest/ruby1.9 on alioth. The
>> 219kb build.log is available. Built with debuild -B -b
>> Michael
>
> Following Michael's steps, I successfully built ruby1.9 on mkhppa3, one
> of Thibaut Varene's boxes, using the following kernel:
> Linux mkhppa3 2.6.22.19 #1 SMP Tue Oct 14 14:22:05 CEST 2008 parisc64
> GNU/Linux
>
> Before that, I tried to build using lenny's 2.6.26. I ran into several
> WARN_ON()s and hard locks, and never managed to build ruby1.9 on hppa
> using lenny's kernel. This kernel is clearly not ready for a release,
> but it's not my call to make...
>
> After the build, ruby's test suite mostly passed (some thread tests just
> blocked, so there's still a problem with threading on hppa). So I had to
> disable it in debian/rules. I think that the status is "good enough" for
> lenny/hppa. And this should allow to build the other missing packages
> too.
>
> Dato, is it fine if I upload those binaries to unstable? How should I
> proceed to make them migrate to testing? I think they will magically
> appear in testing since the source is already in testing, but I'm not
> sure now.
>
> Thanks a lot to Michael for hinting about 2.6.22.19 :-)
> --
> | Lucas Nussbaum
> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
>




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Tue, 28 Oct 2008 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 28 Oct 2008 21:21:04 GMT) Full text and rfc822 format available.

Message #94 received at 478717@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 478717@bugs.debian.org
Cc: debian-kernel@lists.debian.org
Subject: Bug#478717: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
Date: Tue, 28 Oct 2008 22:23:00 +0100
[Message part 1 (text/plain, inline)]
clone 478717 -1
reassign -1 linux-2.6
retitle -1 [hppa] Serious instability issues with NPTL
block 478717 by -1
thanks

While trying to reproduce the issue at hand, I only managed to make paer
(running kernel 2.6.26-1-parisc) deadlock, like what was described with
2.6.18. So, contrary to previous claims, the deadlock issue is not
fixed, which makes the issue basically impossible to debug until the
kernel is fixed.

I don’t know of a PA-RISC emulator, so this only leaves people with
physical access to such a machine able to fix the kernel wrt. threading
support.

I fear that the ruby1.9 packages that were built with a working 2.6.22
kernel will cause similar crashes on other machines when running
threaded applications, and this could also be the case of other
programs. Looking at the kernel logs on paer confirms this, as several
other programs (especially python) are causing oopses. Leaving these
packages as is, without the ability to make security updates during the
lenny cycle, is just hiding the dust under the carpet.

Quoting #debian-release after the bug sprint affectations:
<phil> Np237: Congrats on getting the ruby1.9 bug.
<ana> he just wanted a excuse to bake cookies since the very beginning:)
<phil> Funnily he's probably the only one getting a new conclusion: drop an arch. :-P

I thought it was ironic at the moment, but actually this is so true. The
current hppa kernel is not suitable for a stable release, and the kernel
maintainers are not in a position where they can fix it. The sane
conclusion may be therefore to remove hppa from the release
architectures so that we can downgrade this bug.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 478717 added: Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Tue, 28 Oct 2008 21:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Tue, 28 Oct 2008 22:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 28 Oct 2008 22:27:02 GMT) Full text and rfc822 format available.

Message #101 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Josselin Mouette <joss@debian.org>, 478717@bugs.debian.org
Subject: Re: Bug#478717: ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
Date: Tue, 28 Oct 2008 23:24:50 +0100
[Message part 1 (text/plain, inline)]
On 28/10/08 at 22:23 +0100, Josselin Mouette wrote:
> I thought it was ironic at the moment, but actually this is so true. The
> current hppa kernel is not suitable for a stable release, and the kernel
> maintainers are not in a position where they can fix it. The sane
> conclusion may be therefore to remove hppa from the release
> architectures so that we can downgrade this bug.

Hey, you don't get any cookie! I've been advocating that for weeks! :)
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[signature.asc (application/pgp-signature, inline)]

Tags removed: Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 22 Nov 2008 20:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Sun, 30 Nov 2008 17:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sun, 30 Nov 2008 17:51:10 GMT) Full text and rfc822 format available.

Message #108 received at 478717@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: 478717@bugs.debian.org
Subject: could be closed?
Date: Sun, 30 Nov 2008 17:48:23 +0000
[Message part 1 (text/plain, inline)]
Since this seems to be a kernel issue on hppa surely the ruby part of
the bug report can be closed?

Matt

-- 
Matthew Johnson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Mon, 01 Dec 2008 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 01 Dec 2008 06:48:03 GMT) Full text and rfc822 format available.

Message #113 received at 478717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Matthew Johnson <mjj29@debian.org>, 478717@bugs.debian.org
Subject: Re: Bug#478717: could be closed?
Date: Mon, 1 Dec 2008 07:43:16 +0100
[Message part 1 (text/plain, inline)]
On 30/11/08 at 17:48 +0000, Matthew Johnson wrote:
> Since this seems to be a kernel issue on hppa surely the ruby part of
> the bug report can be closed?

No, because the hppa issue isn't going to be fixed, so ruby needs to be
"fixed" instead.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Wed, 17 Dec 2008 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helge Deller <deller@gmx.de>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 17 Dec 2008 21:54:04 GMT) Full text and rfc822 format available.

Message #118 received at 478717@bugs.debian.org (full text, mbox):

From: Helge Deller <deller@gmx.de>
To: 478717@bugs.debian.org
Subject: [PATCH] fix ruby1.9 kernel crashes on hppa when compiling
Date: Wed, 17 Dec 2008 22:51:34 +0100
[Message part 1 (text/plain, inline)]
I could reproduce the kernel crashes when compiling ruby1.9 on hppa,
even with kernel 2.6.28-rc8.

My current analysis showed, that the "miniruby" process creates a
"memory protection ID trap" when trying to push back the results of the
poll() syscall to userspace. This means, that (sometimes) when the
kernel calls __put_user() in fs/select.c:do_sys_poll() it suddenly
access some kind of invalid memory and creates a data protection ID fault.

My assumption is, that the linuxthreads implementation on hppa is still
buggy (or it's another still hidden kernel bug).

Nevertheless, the attached patch below fixes the kernel crashes at least.
This means, that you can compile ruby1.9 and run miniruby as often as
you want. The patch will make it possible to kill the miniruby process
and makes further debugging of the problem possible.

The patch applies to kernel 2.6.28-rc8, but should similar apply to
older kernel versions (e.g. 2.6.26) as well.

I'm not sure yet, if this will be the final version of the patch and
I'll continue to try find the real cause of the problem of course...

Any feedback and testing results very much welcome.

Helge

Patch is
Signed-off-by: Helge Deller <deller@gmx.de>
[data_protection_id_failure.diff (text/x-patch, inline)]
diff --git a/arch/parisc/kernel/traps.c b/arch/parisc/kernel/traps.c
index 4c771cd..70eabfe 100644
--- a/arch/parisc/kernel/traps.c
+++ b/arch/parisc/kernel/traps.c
@@ -43,6 +43,8 @@
 
 #include "../math-emu/math-emu.h"	/* for handle_fpe() */
 
+DECLARE_PER_CPU(struct exception_data, exception_data);
+
 #define PRINT_USER_FAULTS /* (turn this on if you want user faults to be */
 			  /*  dumped to the console via printk)          */
 
@@ -745,6 +747,41 @@ void handle_interruption(int code, struct pt_regs *regs)
 		/* Fall Through */
 	case 27: 
 		/* Data memory protection ID trap */
+		if (code == 27 && !user_mode(regs)) {
+			const struct exception_table_entry *fix;
+
+			/* mostly copied from:
+ 			   arch/parisc/mm/fault.c:do_page_fault()
+			 */
+			fix = search_exception_tables(regs->iaoq[0]);
+			printk(KERN_CRIT "BUG: Kernel Data memory protection ID"
+				" trap at %p (%pS), fix=%p\n",
+				(void*)regs->iaoq[0], (void*)regs->iaoq[0], fix);
+			if (fix) {
+				struct exception_data *d;
+
+				d = &__get_cpu_var(exception_data);
+				d->fault_ip = regs->iaoq[0];
+				d->fault_space = regs->isr;
+				d->fault_addr = regs->ior;
+
+				regs->iaoq[0] = ((fix->fixup) & ~3);
+
+				/*
+				 * NOTE: In some cases the faulting instruction
+				 * may be in the delay slot of a branch. We
+				 * don't want to take the branch, so we don't
+				 * increment iaoq[1], instead we set it to be
+				 * iaoq[0]+4, and clear the B bit in the PSW
+				 */
+
+				regs->iaoq[1] = regs->iaoq[0] + 4;
+				regs->gr[0] &= ~PSW_B; /* IPSW in gr[0] */
+
+				return;
+			}
+		}
+
 		die_if_kernel("Protection id trap", regs, code);
 		si.si_code = SEGV_MAPERR;
 		si.si_signo = SIGSEGV;

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#478717; Package ruby1.9. (Tue, 23 Dec 2008 09:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helge Deller <deller@gmx.de>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 23 Dec 2008 09:51:02 GMT) Full text and rfc822 format available.

Message #123 received at 478717@bugs.debian.org (full text, mbox):

From: Helge Deller <deller@gmx.de>
To: 478717@bugs.debian.org
Subject: kernel patch for ruby1.9 kernel crashes
Date: Tue, 23 Dec 2008 10:50:22 +0100
This Linux kernel patch solves the issue:
http://permalink.gmane.org/gmane.linux.ports.parisc/1028

Patch in parisc git tree:
http://git.kernel.org/?p=linux/kernel/git/kyle/parisc-2.6.git;a=commitdiff;h=378fe7c4cc619b561409206605c723c05358edac;hp=6c4dfa8f8bcf032137aacb3640d7dd9d75b2b607




Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 23 Dec 2008 23:12:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Wed, 24 Dec 2008 18:03:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Wed, 24 Dec 2008 18:39:02 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Fri, 26 Dec 2008 02:09:02 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 26 Dec 2008 02:09:02 GMT) Full text and rfc822 format available.

Message #134 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in linux-2.6.24 2.6.24-6~etchnhalf.8
Date: Fri, 26 Dec 2008 01:52:23 +0000
Source: linux-2.6.24
Source-Version: 2.6.24-6~etchnhalf.8

We believe that the bug you reported is fixed in the latest version of
linux-2.6.24, which is due to be installed in the Debian FTP archive:

linux-2.6.24_2.6.24-6~etchnhalf.8.diff.gz
  to pool/main/l/linux-2.6.24/linux-2.6.24_2.6.24-6~etchnhalf.8.diff.gz
linux-2.6.24_2.6.24-6~etchnhalf.8.dsc
  to pool/main/l/linux-2.6.24/linux-2.6.24_2.6.24-6~etchnhalf.8.dsc
linux-doc-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-doc-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-headers-2.6.24-etchnhalf.1-all-hppa_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-all-hppa_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-all_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-all_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-common_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-common_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
linux-manual-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-manual-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-patch-debian-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-patch-debian-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-source-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-source-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-support-2.6.24-etchnhalf.1_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-support-2.6.24-etchnhalf.1_2.6.24-6~etchnhalf.8_all.deb
linux-tree-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-tree-2.6.24_2.6.24-6~etchnhalf.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6.24 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Dec 2008 18:09:18 -0700
Source: linux-2.6.24
Binary: linux-headers-2.6.24-etchnhalf.1-486 linux-headers-2.6.24-etchnhalf.1-all-amd64 linux-patch-debian-2.6.24 linux-headers-2.6.24-etchnhalf.1-all-ia64 linux-image-2.6.24-etchnhalf.1-s390x linux-image-2.6.24-etchnhalf.1-parisc-smp linux-image-2.6.24-etchnhalf.1-parisc64-smp linux-headers-2.6.24-etchnhalf.1-atari linux-headers-2.6.24-etchnhalf.1-parisc64-smp linux-headers-2.6.24-etchnhalf.1-sb1-bcm91250a linux-headers-2.6.24-etchnhalf.1-r5k-ip32 linux-image-2.6.24-etchnhalf.1-alpha-smp linux-image-2.6.24-etchnhalf.1-r5k-cobalt linux-image-2.6.24-etchnhalf.1-r5k-ip32 linux-image-2.6.24-etchnhalf.1-mac linux-image-2.6.24-etchnhalf.1-powerpc linux-headers-2.6.24-etchnhalf.1-r4k-ip22 linux-headers-2.6.24-etchnhalf.1-mckinley linux-headers-2.6.24-etchnhalf.1-all-sparc linux-headers-2.6.24-etchnhalf.1-mvme16x linux-headers-2.6.24-etchnhalf.1-footbridge linux-image-2.6.24-etchnhalf.1-486 linux-headers-2.6.24-etchnhalf.1-sparc64-smp linux-headers-2.6.24-etchnhalf.1-parisc64 linux-headers-2.6.24-etchnhalf.1-amd64 linux-image-2.6.24-etchnhalf.1-powerpc-miboot linux-image-2.6.24-etchnhalf.1-sparc64-smp linux-image-2.6.24-etchnhalf.1-r4k-ip22 linux-headers-2.6.24-etchnhalf.1-versatile linux-image-2.6.24-etchnhalf.1-sb1a-bcm91480b linux-image-2.6.24-etchnhalf.1-itanium linux-headers-2.6.24-etchnhalf.1-all-arm linux-image-2.6.24-etchnhalf.1-parisc linux-headers-2.6.24-etchnhalf.1-4kc-malta linux-image-2.6.24-etchnhalf.1-amd64 linux-image-2.6.24-etchnhalf.1-powerpc64 linux-headers-2.6.24-etchnhalf.1-powerpc linux-headers-2.6.24-etchnhalf.1-alpha-legacy linux-image-2.6.24-etchnhalf.1-sb1-bcm91250a linux-image-2.6.24-etchnhalf.1-alpha-generic linux-image-2.6.24-etchnhalf.1-versatile linux-headers-2.6.24-etchnhalf.1-powerpc-miboot linux-headers-2.6.24-etchnhalf.1-all-armel linux-headers-2.6.24-etchnhalf.1-mac linux-headers-2.6.24-etchnhalf.1-r5k-cobalt linux-image-2.6.24-etchnhalf.1-atari linux-image-2.6.24-etchnhalf.1-ixp4xx linux-headers-2.6.24-etchnhalf.1-powerpc64 linux-headers-2.6.24-etchnhalf.1-iop32x linux-headers-2.6.24-etchnhalf.1-ixp4xx linux-headers-2.6.24-etchnhalf.1-common linux-headers-2.6.24-etchnhalf.1-alpha-generic linux-headers-2.6.24-etchnhalf.1-parisc-smp linux-headers-2.6.24-etchnhalf.1-all-mipsel linux-image-2.6.24-etchnhalf.1-mvme16x linux-headers-2.6.24-etchnhalf.1-all linux-headers-2.6.24-etchnhalf.1-all-powerpc linux-headers-2.6.24-etchnhalf.1-alpha-smp linux-headers-2.6.24-etchnhalf.1-mvme147 linux-headers-2.6.24-etchnhalf.1-686 linux-headers-2.6.24-etchnhalf.1-sb1a-bcm91480b linux-headers-2.6.24-etchnhalf.1-itanium linux-image-2.6.24-etchnhalf.1-s390 linux-headers-2.6.24-etchnhalf.1-all-hppa linux-image-2.6.24-etchnhalf.1-mvme147 linux-image-2.6.24-etchnhalf.1-iop32x linux-tree-2.6.24 linux-headers-2.6.24-etchnhalf.1-all-mips linux-manual-2.6.24 linux-headers-2.6.24-etchnhalf.1-amiga linux-support-2.6.24-etchnhalf.1 linux-image-2.6.24-etchnhalf.1-bvme6000 linux-image-2.6.24-etchnhalf.1-s390-tape linux-headers-2.6.24-etchnhalf.1-parisc linux-headers-2.6.24-etchnhalf.1-all-m68k linux-headers-2.6.24-etchnhalf.1-bvme6000 linux-image-2.6.24-etchnhalf.1-686 linux-headers-2.6.24-etchnhalf.1-686-bigmem linux-image-2.6.24-etchnhalf.1-amiga linux-image-2.6.24-etchnhalf.1-5kc-malta linux-headers-2.6.24-etchnhalf.1-sparc64 linux-headers-2.6.24-etchnhalf.1-5kc-malta linux-image-2.6.24-etchnhalf.1-footbridge linux-image-2.6.24-etchnhalf.1-686-bigmem linux-doc-2.6.24 linux-headers-2.6.24-etchnhalf.1-all-i386 linux-image-2.6.24-etchnhalf.1-parisc64 linux-headers-2.6.24-etchnhalf.1-all-s390 linux-source-2.6.24 linux-image-2.6.24-etchnhalf.1-mckinley linux-image-2.6.24-etchnhalf.1-alpha-legacy linux-headers-2.6.24-etchnhalf.1-powerpc-smp linux-image-2.6.24-etchnhalf.1-powerpc-smp linux-headers-2.6.24-etchnhalf.1-s390x linux-image-2.6.24-etchnhalf.1-sparc64 linux-headers-2.6.24-etchnhalf.1-s390 linux-image-2.6.24-etchnhalf.1-4kc-malta linux-headers-2.6.24-etchnhalf.1-all-alpha
Architecture: source all hppa
Version: 2.6.24-6~etchnhalf.8
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.24 - Linux kernel specific documentation for version 2.6.24
 linux-headers-2.6.24-etchnhalf.1-all - All header files for Linux 2.6.24
 linux-headers-2.6.24-etchnhalf.1-all-hppa - All header files for Linux 2.6.24
 linux-headers-2.6.24-etchnhalf.1-common - Common header files for Linux 2.6.24
 linux-headers-2.6.24-etchnhalf.1-parisc - Header files for Linux 2.6.24 on 32-bit PA-RISC
 linux-headers-2.6.24-etchnhalf.1-parisc-smp - Header files for Linux 2.6.24 on multiprocessor 32-bit PA-RISC
 linux-headers-2.6.24-etchnhalf.1-parisc64 - Header files for Linux 2.6.24 on 64-bit PA-RISC
 linux-headers-2.6.24-etchnhalf.1-parisc64-smp - Header files for Linux 2.6.24 on multiprocessor 64-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc - Linux 2.6.24 image on 32-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc-smp - Linux 2.6.24 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc64 - Linux 2.6.24 image on 64-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc64-smp - Linux 2.6.24 image on multiprocessor 64-bit PA-RISC
 linux-manual-2.6.24 - Linux kernel API manual pages for version 2.6.24
 linux-patch-debian-2.6.24 - Debian patches to version 2.6.24 of the Linux kernel
 linux-source-2.6.24 - Linux kernel source for version 2.6.24 with Debian patches
 linux-support-2.6.24-etchnhalf.1 - Support files for Linux 2.6.24
 linux-tree-2.6.24 - Linux kernel source tree for building Debian kernel images
Closes: 478717 502182 502553
Changes: 
 linux-2.6.24 (2.6.24-6~etchnhalf.8) stable; urgency=high
 .
   [ dann frazier ]
   * cciss: Add support for new hardware (closes: #502553)
      - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
      - Read the FIFO size from the controller config instead of
        hardcoding it into the driver
   * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
     hangs. (closes: #478717)
 .
   [ Martin Michlmayr ]
   * [arm/ixp4xx, arm/iop32x] Enable USB_ATM (closes: #502182).
Files: 
 84dfc34eac360a66ce0777c05a1ae7cf 5107 devel optional linux-2.6.24_2.6.24-6~etchnhalf.8.dsc
 0e5776062621d499bfc84ba6ad1cd581 3958711 devel optional linux-2.6.24_2.6.24-6~etchnhalf.8.diff.gz
 4e054ae03d1af3a3d31ffa250ffcaca1 4464124 doc optional linux-doc-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 84cd536c6166955d52dde8035bd95a08 1576282 doc optional linux-manual-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 5dc3e753d5023ef826ed72c36bdf33fb 787836 devel optional linux-patch-debian-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 beae40ccf6b131a31b3de2bba03f3e13 46983146 devel optional linux-source-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 615e3a71224f89846f3ca685284a7869 96026 devel optional linux-support-2.6.24-etchnhalf.1_2.6.24-6~etchnhalf.8_all.deb
 71a2572627a28fb36c58c9689932a286 81686 devel optional linux-tree-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 bfbd0af2cc585a71b2c0803e8fc8c5da 13328656 admin optional linux-image-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
 6a00de9538d19321b33507217a8a2e7f 254814 devel optional linux-headers-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
 cd7ca70e54ccd61344faae8755e0f3c9 13840310 admin optional linux-image-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
 b18d2971efe40479781f107c06b45835 256216 devel optional linux-headers-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
 120494a57035c3763dd56edb6ea5cbf1 14375278 admin optional linux-image-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
 f20790e7bff1f9913b24698d0ea0bd7f 255532 devel optional linux-headers-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
 b03cc675a4514af074b678a38bd22de6 14832796 admin optional linux-image-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
 4841f203f954ce1c6952bf648a376e29 257798 devel optional linux-headers-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
 ced7440766dfa2cf5c15f7b396f2e3eb 3437824 devel optional linux-headers-2.6.24-etchnhalf.1-common_2.6.24-6~etchnhalf.8_hppa.deb
 f158a138b6c055e365124ac2db1f7a67 81272 devel optional linux-headers-2.6.24-etchnhalf.1-all_2.6.24-6~etchnhalf.8_hppa.deb
 0790a6c7b3e11013821b3a69d76dcc70 81296 devel optional linux-headers-2.6.24-etchnhalf.1-all-hppa_2.6.24-6~etchnhalf.8_hppa.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJU+80huANDBmkLRkRAk6uAKCIpitVA2zScNmtS8fpMmyscbByXACeJ9Mi
o8mk78sXydTB3Jn+2kNsbRI=
=I+Au
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Fri, 26 Dec 2008 02:09:03 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Fri, 26 Dec 2008 02:09:03 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 27 Dec 2008 08:09:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 27 Dec 2008 08:09:03 GMT) Full text and rfc822 format available.

Message #144 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in linux-2.6 2.6.18.dfsg.1-24
Date: Sat, 27 Dec 2008 07:52:23 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-24

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-24.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-24.diff.gz
linux-2.6_2.6.18.dfsg.1-24.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-24.dsc
linux-doc-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-headers-2.6.18-6-all-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-all-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-all_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-all_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-vserver_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-vserver_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen-vserver_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen-vserver_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-manual-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-modules-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-modules-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-modules-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-modules-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-support-2.6.18-6_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-6_2.6.18.dfsg.1-24_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-24_all.deb
xen-linux-system-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/xen-linux-system-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
xen-linux-system-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/xen-linux-system-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Dec 2008 11:12:55 -0700
Source: linux-2.6
Binary: linux-image-2.6.18-6-vserver-powerpc linux-image-2.6.18-6-sparc32 linux-headers-2.6.18-6-r4k-kn04 linux-image-2.6.18-6-s390x linux-headers-2.6.18-6-r4k-ip22 linux-headers-2.6.18-6-xen-vserver-686 linux-headers-2.6.18-6-alpha-legacy linux-modules-2.6.18-6-xen-686 linux-headers-2.6.18-6-alpha-generic linux-headers-2.6.18-6-powerpc-miboot linux-headers-2.6.18-6-all-mips linux-image-2.6.18-6-r4k-ip22 linux-headers-2.6.18-6-powerpc-smp linux-headers-2.6.18-6-vserver-k7 xen-linux-system-2.6.18-6-xen-amd64 linux-manual-2.6.18 linux-image-2.6.18-6-footbridge linux-image-2.6.18-6-parisc-smp linux-image-2.6.18-6-s390 linux-image-2.6.18-6-xen-686 linux-image-2.6.18-6-amd64 linux-image-2.6.18-6-powerpc-miboot linux-headers-2.6.18-6-qemu linux-headers-2.6.18-6-mac linux-image-2.6.18-6-powerpc-smp linux-headers-2.6.18-6-rpc linux-image-2.6.18-6-xen-amd64 linux-headers-2.6.18-6-r5k-cobalt linux-headers-2.6.18-6-itanium linux-image-2.6.18-6-itanium linux-headers-2.6.18-6-vserver-sparc64 linux-image-2.6.18-6-powerpc linux-image-2.6.18-6-parisc linux-modules-2.6.18-6-xen-vserver-amd64 linux-image-2.6.18-6-parisc64-smp linux-headers-2.6.18-6-iop32x linux-image-2.6.18-6-sparc64-smp linux-image-2.6.18-6-686-bigmem linux-headers-2.6.18-6-all-mipsel linux-headers-2.6.18-6-all-ia64 linux-headers-2.6.18-6-ixp4xx linux-image-2.6.18-6-amiga linux-headers-2.6.18-6-all-m68k linux-image-2.6.18-6-r3k-kn02 linux-headers-2.6.18-6-mckinley linux-modules-2.6.18-6-xen-vserver-686 linux-image-2.6.18-6-alpha-legacy linux-image-2.6.18-6-alpha-smp linux-headers-2.6.18-6-xen-vserver-amd64 linux-headers-2.6.18-6-atari linux-image-2.6.18-6-vserver-powerpc64 linux-image-2.6.18-6-alpha-generic linux-headers-2.6.18-6-vserver-686 xen-linux-system-2.6.18-6-xen-vserver-686 linux-image-2.6.18-6-k7 linux-image-2.6.18-6-sb1a-bcm91480b linux-headers-2.6.18-6-all-hppa linux-headers-2.6.18-6-xen-amd64 linux-image-2.6.18-6-rpc linux-support-2.6.18-6 linux-doc-2.6.18 linux-headers-2.6.18-6-sparc64 linux-headers-2.6.18-6-all-amd64 linux-headers-2.6.18-6-sparc32 linux-headers-2.6.18-6-all-alpha linux-headers-2.6.18-6-alpha-smp linux-headers-2.6.18-6 linux-image-2.6.18-6-iop32x linux-image-2.6.18-6-vserver-k7 linux-image-2.6.18-6-parisc64 linux-headers-2.6.18-6-k7 linux-image-2.6.18-6-r5k-ip32 linux-image-2.6.18-6-r4k-kn04 linux-headers-2.6.18-6-all linux-image-2.6.18-6-atari linux-headers-2.6.18-6-vserver-powerpc linux-source-2.6.18 linux-headers-2.6.18-6-amd64 linux-headers-2.6.18-6-xen-686 linux-headers-2.6.18-6-r5k-ip32 linux-headers-2.6.18-6-sb1-bcm91250a linux-image-2.6.18-6-qemu linux-headers-2.6.18-6-xen linux-headers-2.6.18-6-prep linux-headers-2.6.18-6-all-sparc linux-image-2.6.18-6-mckinley linux-headers-2.6.18-6-vserver-s390x xen-linux-system-2.6.18-6-xen-vserver-amd64 linux-headers-2.6.18-6-footbridge linux-image-2.6.18-6-sb1-bcm91250a linux-image-2.6.18-6-xen-vserver-amd64 linux-image-2.6.18-6-mac xen-linux-system-2.6.18-6-xen-686 linux-image-2.6.18-6-r5k-cobalt linux-headers-2.6.18-6-s390x linux-image-2.6.18-6-xen-vserver-686 linux-headers-2.6.18-6-parisc64 linux-headers-2.6.18-6-parisc-smp linux-headers-2.6.18-6-r3k-kn02 linux-headers-2.6.18-6-s3c2410 linux-headers-2.6.18-6-xen-vserver linux-image-2.6.18-6-vserver-sparc64 linux-headers-2.6.18-6-686 linux-image-2.6.18-6-vserver-amd64 linux-headers-2.6.18-6-powerpc linux-headers-2.6.18-6-686-bigmem linux-image-2.6.18-6-686 linux-headers-2.6.18-6-amiga linux-image-2.6.18-6-vserver-686 linux-image-2.6.18-6-powerpc64 linux-headers-2.6.18-6-vserver-powerpc64 linux-headers-2.6.18-6-all-arm linux-image-2.6.18-6-sparc64 linux-headers-2.6.18-6-all-powerpc linux-image-2.6.18-6-486 linux-image-2.6.18-6-s3c2410 linux-headers-2.6.18-6-vserver-alpha linux-headers-2.6.18-6-parisc64-smp linux-image-2.6.18-6-prep linux-patch-debian-2.6.18 linux-headers-2.6.18-6-sparc64-smp linux-modules-2.6.18-6-xen-amd64 linux-tree-2.6.18 linux-image-2.6.18-6-s390-tape linux-headers-2.6.18-6-vserver-amd64 linux-image-2.6.18-6-vserver-s390x linux-image-2.6.18-6-vserver-alpha linux-headers-2.6.18-6-sb1a-bcm91480b linux-headers-2.6.18-6-powerpc64 linux-headers-2.6.18-6-all-i386 linux-headers-2.6.18-6-parisc linux-headers-2.6.18-6-s390 linux-headers-2.6.18-6-vserver linux-image-2.6.18-6-ixp4xx linux-headers-2.6.18-6-486 linux-headers-2.6.18-6-all-s390
Architecture: source amd64 all
Version: 2.6.18.dfsg.1-24
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-6 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-6-all-amd64 - All header files for Linux 2.6.18
 linux-headers-2.6.18-6-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-headers-2.6.18-6-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-vserver-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-headers-2.6.18-6-xen - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-xen-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-headers-2.6.18-6-xen-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-xen-vserver-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-image-2.6.18-6-amd64 - Linux 2.6.18 image on AMD64
 linux-image-2.6.18-6-vserver-amd64 - Linux 2.6.18 image on AMD64
 linux-image-2.6.18-6-xen-amd64 - Linux 2.6.18 image on AMD64
 linux-image-2.6.18-6-xen-vserver-amd64 - Linux 2.6.18 image on AMD64
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-modules-2.6.18-6-xen-amd64 - Linux 2.6.18 modules on AMD64
 linux-modules-2.6.18-6-xen-vserver-amd64 - Linux 2.6.18 modules on AMD64
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-6 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.18-6-xen-amd64 - XEN system with Linux 2.6.18 image on AMD64
 xen-linux-system-2.6.18-6-xen-vserver-amd64 - XEN system with Linux 2.6.18 image on AMD64
Closes: 391373 478717 502553 506418 506420
Changes: 
 linux-2.6 (2.6.18.dfsg.1-24) stable; urgency=high
 .
   [ dann frazier ]
   * cciss: Add support for new hardware (closes: #502553)
      - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
      - Read the FIFO size from the controller config instead of
        hardcoding it into the driver
   * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
     hangs. (closes: #478717)
 .
   [ Ian Campbell ]
   * xen: Add softlockup-no-idle-hz.patch to prevent softlockup in xen guest.
     (closes: #506418)
 .
   [ Bastian Blank ]
   * [xen] Remove 4gb segments warning completely. (closes: #391373)
   * [xen/i386] Fix pseudo hwcap value to match newer kernels.
     (closes: #506420)
Files: 
 6d0372de0b51309ad677e4b550b7a773 5662 devel optional linux-2.6_2.6.18.dfsg.1-24.dsc
 5c9578ccfeb733242d86dae27883942a 5418477 devel optional linux-2.6_2.6.18.dfsg.1-24.diff.gz
 2fb9a3aa5772a5bd79f5c2b1aa5e5246 3591808 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-24_all.deb
 8133e8b33d9af82266abc9de0efd2b64 1090714 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-24_all.deb
 531c381fcc925e78c3b74a783a37a704 1692328 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-24_all.deb
 1d238a43a5493dd1a2572e70a08701a2 41468514 devel optional linux-source-2.6.18_2.6.18.dfsg.1-24_all.deb
 419e0ad65f776e3738e88edf762c5d39 3720338 devel optional linux-support-2.6.18-6_2.6.18.dfsg.1-24_all.deb
 11b9b929c0336aaab36788da3cedb851 57182 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-24_all.deb
 a212baace991b6d035ef5f8c659d0130 56576 devel optional linux-headers-2.6.18-6-all_2.6.18.dfsg.1-24_amd64.deb
 592b0a3879728c6fe05e76a3ce3870f6 56606 devel optional linux-headers-2.6.18-6-all-amd64_2.6.18.dfsg.1-24_amd64.deb
 d34fda672a0096d106853863a6dd1555 3170914 devel optional linux-headers-2.6.18-6_2.6.18.dfsg.1-24_amd64.deb
 4c39a7b92e63023b814a85c54c730a2d 16821314 admin optional linux-image-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
 9074473410fabc22cd9722125fc3520e 273038 devel optional linux-headers-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
 8a72ffc4fb4453ac4c5407fc0034a6aa 3194062 devel optional linux-headers-2.6.18-6-vserver_2.6.18.dfsg.1-24_amd64.deb
 9587a09afb11ba997daea5df23d5bdd7 16866896 admin optional linux-image-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 289f242f0529a64d4e17e15106b1f149 273292 devel optional linux-headers-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 79555ce783b589079956b04a75648a9e 3337162 devel optional linux-headers-2.6.18-6-xen_2.6.18.dfsg.1-24_amd64.deb
 1ec810f80ea3ddedc967a5e0559b8f41 1654700 admin optional linux-image-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 0eaac441550da155e78882cf44a2d756 15263924 admin optional linux-modules-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 b2e4c0d3d6227cd7771a1e157a924a9d 273660 devel optional linux-headers-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 f8c7da811427db0c91145765af411a39 56562 admin extra xen-linux-system-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 cda5b3b1abfc0d972c664c2c00b5f878 3360138 devel optional linux-headers-2.6.18-6-xen-vserver_2.6.18.dfsg.1-24_amd64.deb
 add8b7b66b82e000180aa9ff4493fce7 1687628 admin optional linux-image-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 14be44a7a3c1f6916891537a0515b2c0 15276404 admin optional linux-modules-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 23f863a5ff2e9617118d135d43ee4023 273954 devel optional linux-headers-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 3682488ba61384e74a62e847c1bc6110 56574 admin extra xen-linux-system-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJVazwhuANDBmkLRkRAnxzAJ9bt/PCY1CU8dKBZCcX84GpjI4RFwCghgb1
BE/s3v7yrk3W71/Q8HjJfyM=
=5wYv
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 27 Dec 2008 08:09:04 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Sat, 27 Dec 2008 08:09:04 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 30 Dec 2008 02:09:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 30 Dec 2008 02:09:07 GMT) Full text and rfc822 format available.

Message #154 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in fai-kernels 1.17+etch.24
Date: Tue, 30 Dec 2008 01:52:23 +0000
Source: fai-kernels
Source-Version: 1.17+etch.24

We believe that the bug you reported is fixed in the latest version of
fai-kernels, which is due to be installed in the Debian FTP archive:

fai-kernels_1.17+etch.24.dsc
  to pool/main/f/fai-kernels/fai-kernels_1.17+etch.24.dsc
fai-kernels_1.17+etch.24.tar.gz
  to pool/main/f/fai-kernels/fai-kernels_1.17+etch.24.tar.gz
fai-kernels_1.17+etch.24_i386.deb
  to pool/main/f/fai-kernels/fai-kernels_1.17+etch.24_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated fai-kernels package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Dec 2008 11:36:34 -0700
Source: fai-kernels
Binary: fai-kernels
Architecture: source i386
Version: 1.17+etch.24
Distribution: stable
Urgency: high
Maintainer: Holger Levsen <holger@debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 fai-kernels - special kernels for FAI (Fully Automatic Installation)
Closes: 391373 478717 502553 506418 506420
Changes: 
 fai-kernels (1.17+etch.24) stable; urgency=high
 .
   * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24:
     [ dann frazier ]
     * cciss: Add support for new hardware (closes: #502553)
        - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
        - Read the FIFO size from the controller config instead of
          hardcoding it into the driver
     * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
       hangs. (closes: #478717)
 .
     [ Ian Campbell ]
     * xen: Add softlockup-no-idle-hz.patch to prevent softlockup in xen guest.
       (closes: #506418)
 .
     [ Bastian Blank ]
     * [xen] Remove 4gb segments warning completely. (closes: #391373)
     * [xen/i386] Fix pseudo hwcap value to match newer kernels.
       (closes: #506420)
Files: 
 f1dd70eeba3e86e5f3abbd51ffbe2189 725 admin extra fai-kernels_1.17+etch.24.dsc
 70a28743493c996f9411c7b7a772f1ee 58059 admin extra fai-kernels_1.17+etch.24.tar.gz
 d1a10e3a5ab7a2f1d05bbe56e46f4f55 5509456 admin extra fai-kernels_1.17+etch.24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJWTFRhuANDBmkLRkRAo3DAKCCzBUVZT6q5kNjP7lH4E9XwrTzbQCeKQwN
YLiO7bRgFrEED4Iu2ZK+3kc=
=QSXe
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 30 Dec 2008 02:09:11 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Tue, 30 Dec 2008 02:09:11 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 30 Dec 2008 02:09:12 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 30 Dec 2008 02:09:12 GMT) Full text and rfc822 format available.

Message #164 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in user-mode-linux 2.6.18-1um-2etch.24
Date: Tue, 30 Dec 2008 01:52:22 +0000
Source: user-mode-linux
Source-Version: 2.6.18-1um-2etch.24

We believe that the bug you reported is fixed in the latest version of
user-mode-linux, which is due to be installed in the Debian FTP archive:

user-mode-linux_2.6.18-1um-2etch.24.diff.gz
  to pool/main/u/user-mode-linux/user-mode-linux_2.6.18-1um-2etch.24.diff.gz
user-mode-linux_2.6.18-1um-2etch.24.dsc
  to pool/main/u/user-mode-linux/user-mode-linux_2.6.18-1um-2etch.24.dsc
user-mode-linux_2.6.18-1um-2etch.24_i386.deb
  to pool/main/u/user-mode-linux/user-mode-linux_2.6.18-1um-2etch.24_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated user-mode-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Dec 2008 12:11:56 -0700
Source: user-mode-linux
Binary: user-mode-linux
Architecture: source i386
Version: 2.6.18-1um-2etch.24
Distribution: stable
Urgency: high
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 user-mode-linux - User-mode Linux (kernel)
Closes: 391373 478717 502553 506418 506420
Changes: 
 user-mode-linux (2.6.18-1um-2etch.24) stable; urgency=high
 .
   * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24:
     [ dann frazier ]
     * cciss: Add support for new hardware (closes: #502553)
        - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
        - Read the FIFO size from the controller config instead of
          hardcoding it into the driver
     * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
       hangs. (closes: #478717)
 .
     [ Ian Campbell ]
     * xen: Add softlockup-no-idle-hz.patch to prevent softlockup in xen guest.
       (closes: #506418)
 .
     [ Bastian Blank ]
     * [xen] Remove 4gb segments warning completely. (closes: #391373)
     * [xen/i386] Fix pseudo hwcap value to match newer kernels.
       (closes: #506420)
Files: 
 a1c5b965f88cba4b1b710130f20944a2 877 misc extra user-mode-linux_2.6.18-1um-2etch.24.dsc
 6f58c7c625c76ff7fdeeb32c502b953f 19691 misc extra user-mode-linux_2.6.18-1um-2etch.24.diff.gz
 692cf2f50488b66dc333b12eacafbd98 25602764 misc extra user-mode-linux_2.6.18-1um-2etch.24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJWTFXhuANDBmkLRkRAhAvAJ4wkOuy4otOgudHnknNp7SCD3qHnQCdHHIB
6ZQfZgyGylRq309vJ4m6jvE=
=hdlK
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 30 Dec 2008 02:09:13 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Tue, 30 Dec 2008 02:09:13 GMT) Full text and rfc822 format available.

Blocking bugs of 478717 added: Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:15:02 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:15:03 GMT) Full text and rfc822 format available.

Disconnected #478717 from all other report(s). Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:24:02 GMT) Full text and rfc822 format available.

Bug 478717 cloned as bugs 510654, 510655, 510656. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:24:04 GMT) Full text and rfc822 format available.

Blocking bugs of 478717 added: 510654 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:24:10 GMT) Full text and rfc822 format available.

Forcibly Merged 478717 491930. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:24:17 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version ruby1.9/1.9.0.1-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:33:07 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version ruby1.9/1.9.0.2-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Jan 2009 02:33:08 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sat, 10 Jan 2009 17:09:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 10 Jan 2009 17:09:06 GMT) Full text and rfc822 format available.

Message #190 received at 478717-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in linux-2.6 2.6.26-13
Date: Sat, 10 Jan 2009 17:03:25 +0000
Source: linux-2.6
Source-Version: 2.6.26-13

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-13.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-13.diff.gz
linux-2.6_2.6.26-13.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-13.dsc
linux-doc-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.26_2.6.26-13_all.deb
linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
linux-libc-dev_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.26-13_powerpc.deb
linux-manual-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.26_2.6.26-13_all.deb
linux-patch-debian-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-13_all.deb
linux-source-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.26_2.6.26-13_all.deb
linux-support-2.6.26-1_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.26-1_2.6.26-13_all.deb
linux-tree-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.26_2.6.26-13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jan 2009 13:35:41 +0100
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-1 linux-libc-dev linux-headers-2.6.26-1-all linux-headers-2.6.26-1-all-alpha linux-headers-2.6.26-1-common linux-image-2.6.26-1-alpha-generic linux-headers-2.6.26-1-alpha-generic linux-image-2.6.26-1-alpha-smp linux-headers-2.6.26-1-alpha-smp linux-image-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-all-amd64 linux-image-2.6.26-1-amd64 linux-headers-2.6.26-1-amd64 linux-headers-2.6.26-1-common-openvz linux-image-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-common-vserver linux-image-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-common-xen linux-image-2.6.26-1-xen-amd64 linux-modules-2.6.26-1-xen-amd64 linux-headers-2.6.26-1-xen-amd64 xen-linux-system-2.6.26-1-xen-amd64 linux-headers-2.6.26-1-all-arm linux-image-2.6.26-1-footbridge linux-headers-2.6.26-1-footbridge linux-image-2.6.26-1-iop32x linux-headers-2.6.26-1-iop32x linux-image-2.6.26-1-ixp4xx linux-headers-2.6.26-1-ixp4xx linux-image-2.6.26-1-orion5x linux-headers-2.6.26-1-orion5x linux-headers-2.6.26-1-all-armel linux-image-2.6.26-1-versatile linux-headers-2.6.26-1-versatile linux-headers-2.6.26-1-all-hppa linux-image-2.6.26-1-parisc linux-headers-2.6.26-1-parisc linux-image-2.6.26-1-parisc-smp linux-headers-2.6.26-1-parisc-smp linux-image-2.6.26-1-parisc64 linux-headers-2.6.26-1-parisc64 linux-image-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-all-i386 linux-image-2.6.26-1-486 linux-headers-2.6.26-1-486 linux-image-2.6.26-1-686 linux-headers-2.6.26-1-686 linux-image-2.6.26-1-686-bigmem linux-headers-2.6.26-1-686-bigmem linux-image-2.6.26-1-openvz-686 linux-headers-2.6.26-1-openvz-686 linux-image-2.6.26-1-vserver-686 linux-headers-2.6.26-1-vserver-686 linux-image-2.6.26-1-vserver-686-bigmem linux-headers-2.6.26-1-vserver-686-bigmem linux-image-2.6.26-1-xen-686 linux-modules-2.6.26-1-xen-686 linux-headers-2.6.26-1-xen-686 xen-linux-system-2.6.26-1-xen-686 linux-headers-2.6.26-1-all-ia64 linux-image-2.6.26-1-itanium linux-headers-2.6.26-1-itanium linux-image-2.6.26-1-mckinley linux-headers-2.6.26-1-mckinley linux-image-2.6.26-1-vserver-itanium linux-headers-2.6.26-1-vserver-itanium linux-image-2.6.26-1-vserver-mckinley linux-headers-2.6.26-1-vserver-mckinley linux-headers-2.6.26-1-all-m68k linux-image-2.6.26-1-amiga linux-headers-2.6.26-1-amiga linux-image-2.6.26-1-atari linux-headers-2.6.26-1-atari linux-image-2.6.26-1-bvme6000 linux-headers-2.6.26-1-bvme6000 linux-image-2.6.26-1-mac linux-headers-2.6.26-1-mac linux-image-2.6.26-1-mvme147 linux-headers-2.6.26-1-mvme147 linux-image-2.6.26-1-mvme16x linux-headers-2.6.26-1-mvme16x linux-headers-2.6.26-1-all-mips linux-image-2.6.26-1-r4k-ip22 linux-headers-2.6.26-1-r4k-ip22 linux-image-2.6.26-1-r5k-ip32 linux-headers-2.6.26-1-r5k-ip32 linux-image-2.6.26-1-sb1-bcm91250a linux-headers-2.6.26-1-sb1-bcm91250a linux-image-2.6.26-1-sb1a-bcm91480b linux-headers-2.6.26-1-sb1a-bcm91480b linux-image-2.6.26-1-4kc-malta linux-headers-2.6.26-1-4kc-malta linux-image-2.6.26-1-5kc-malta linux-headers-2.6.26-1-5kc-malta linux-headers-2.6.26-1-all-mipsel linux-image-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-all-powerpc linux-image-2.6.26-1-powerpc linux-headers-2.6.26-1-powerpc linux-image-2.6.26-1-powerpc-smp linux-headers-2.6.26-1-powerpc-smp linux-image-2.6.26-1-powerpc64 linux-headers-2.6.26-1-powerpc64 linux-image-2.6.26-1-vserver-powerpc linux-headers-2.6.26-1-vserver-powerpc linux-image-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-all-s390 linux-image-2.6.26-1-s390 linux-headers-2.6.26-1-s390 linux-image-2.6.26-1-s390-tape linux-image-2.6.26-1-s390x linux-headers-2.6.26-1-s390x linux-image-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-all-sparc linux-image-2.6.26-1-sparc64 linux-headers-2.6.26-1-sparc64 linux-image-2.6.26-1-sparc64-smp linux-headers-2.6.26-1-sparc64-smp linux-image-2.6.26-1-vserver-sparc64 linux-headers-2.6.26-1-vserver-sparc64
Architecture: source all powerpc
Version: 2.6.26-13
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-1-486 - Header files for Linux 2.6.26-1-486
 linux-headers-2.6.26-1-4kc-malta - Header files for Linux 2.6.26-1-4kc-malta
 linux-headers-2.6.26-1-5kc-malta - Header files for Linux 2.6.26-1-5kc-malta
 linux-headers-2.6.26-1-686 - Header files for Linux 2.6.26-1-686
 linux-headers-2.6.26-1-686-bigmem - Header files for Linux 2.6.26-1-686-bigmem
 linux-headers-2.6.26-1-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-alpha-generic - Header files for Linux 2.6.26-1-alpha-generic
 linux-headers-2.6.26-1-alpha-legacy - Header files for Linux 2.6.26-1-alpha-legacy
 linux-headers-2.6.26-1-alpha-smp - Header files for Linux 2.6.26-1-alpha-smp
 linux-headers-2.6.26-1-amd64 - Header files for Linux 2.6.26-1-amd64
 linux-headers-2.6.26-1-amiga - Header files for Linux 2.6.26-1-amiga
 linux-headers-2.6.26-1-atari - Header files for Linux 2.6.26-1-atari
 linux-headers-2.6.26-1-bvme6000 - Header files for Linux 2.6.26-1-bvme6000
 linux-headers-2.6.26-1-common - Common header files for Linux 2.6.26-1
 linux-headers-2.6.26-1-common-openvz - Common header files for Linux 2.6.26-1-openvz
 linux-headers-2.6.26-1-common-vserver - Common header files for Linux 2.6.26-1-vserver
 linux-headers-2.6.26-1-common-xen - Common header files for Linux 2.6.26-1-xen
 linux-headers-2.6.26-1-footbridge - Header files for Linux 2.6.26-1-footbridge
 linux-headers-2.6.26-1-iop32x - Header files for Linux 2.6.26-1-iop32x
 linux-headers-2.6.26-1-itanium - Header files for Linux 2.6.26-1-itanium
 linux-headers-2.6.26-1-ixp4xx - Header files for Linux 2.6.26-1-ixp4xx
 linux-headers-2.6.26-1-mac - Header files for Linux 2.6.26-1-mac
 linux-headers-2.6.26-1-mckinley - Header files for Linux 2.6.26-1-mckinley
 linux-headers-2.6.26-1-mvme147 - Header files for Linux 2.6.26-1-mvme147
 linux-headers-2.6.26-1-mvme16x - Header files for Linux 2.6.26-1-mvme16x
 linux-headers-2.6.26-1-openvz-686 - Header files for Linux 2.6.26-1-openvz-686
 linux-headers-2.6.26-1-openvz-amd64 - Header files for Linux 2.6.26-1-openvz-amd64
 linux-headers-2.6.26-1-orion5x - Header files for Linux 2.6.26-1-orion5x
 linux-headers-2.6.26-1-parisc - Header files for Linux 2.6.26-1-parisc
 linux-headers-2.6.26-1-parisc-smp - Header files for Linux 2.6.26-1-parisc-smp
 linux-headers-2.6.26-1-parisc64 - Header files for Linux 2.6.26-1-parisc64
 linux-headers-2.6.26-1-parisc64-smp - Header files for Linux 2.6.26-1-parisc64-smp
 linux-headers-2.6.26-1-powerpc - Header files for Linux 2.6.26-1-powerpc
 linux-headers-2.6.26-1-powerpc-smp - Header files for Linux 2.6.26-1-powerpc-smp
 linux-headers-2.6.26-1-powerpc64 - Header files for Linux 2.6.26-1-powerpc64
 linux-headers-2.6.26-1-r4k-ip22 - Header files for Linux 2.6.26-1-r4k-ip22
 linux-headers-2.6.26-1-r5k-cobalt - Header files for Linux 2.6.26-1-r5k-cobalt
 linux-headers-2.6.26-1-r5k-ip32 - Header files for Linux 2.6.26-1-r5k-ip32
 linux-headers-2.6.26-1-s390 - Header files for Linux 2.6.26-1-s390
 linux-headers-2.6.26-1-s390x - Header files for Linux 2.6.26-1-s390x
 linux-headers-2.6.26-1-sb1-bcm91250a - Header files for Linux 2.6.26-1-sb1-bcm91250a
 linux-headers-2.6.26-1-sb1a-bcm91480b - Header files for Linux 2.6.26-1-sb1a-bcm91480b
 linux-headers-2.6.26-1-sparc64 - Header files for Linux 2.6.26-1-sparc64
 linux-headers-2.6.26-1-sparc64-smp - Header files for Linux 2.6.26-1-sparc64-smp
 linux-headers-2.6.26-1-versatile - Header files for Linux 2.6.26-1-versatile
 linux-headers-2.6.26-1-vserver-686 - Header files for Linux 2.6.26-1-vserver-686
 linux-headers-2.6.26-1-vserver-686-bigmem - Header files for Linux 2.6.26-1-vserver-686-bigmem
 linux-headers-2.6.26-1-vserver-amd64 - Header files for Linux 2.6.26-1-vserver-amd64
 linux-headers-2.6.26-1-vserver-itanium - Header files for Linux 2.6.26-1-vserver-itanium
 linux-headers-2.6.26-1-vserver-mckinley - Header files for Linux 2.6.26-1-vserver-mckinley
 linux-headers-2.6.26-1-vserver-powerpc - Header files for Linux 2.6.26-1-vserver-powerpc
 linux-headers-2.6.26-1-vserver-powerpc64 - Header files for Linux 2.6.26-1-vserver-powerpc64
 linux-headers-2.6.26-1-vserver-s390x - Header files for Linux 2.6.26-1-vserver-s390x
 linux-headers-2.6.26-1-vserver-sparc64 - Header files for Linux 2.6.26-1-vserver-sparc64
 linux-headers-2.6.26-1-xen-686 - Header files for Linux 2.6.26-1-xen-686
 linux-headers-2.6.26-1-xen-amd64 - Header files for Linux 2.6.26-1-xen-amd64
 linux-image-2.6.26-1-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-1-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-1-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-1-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-1-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-1-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-1-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-1-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-1-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-1-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-1-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-1-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-1-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-1-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-1-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-1-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-1-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-1-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-1-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-1-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-1-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-1-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-1-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-1-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-1-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-1-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-1-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-1-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-1-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-1-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-1-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-1-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-1-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-1-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-1-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-1-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-1-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-1-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-1-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-1-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-1-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-1-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-1-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-1-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-1-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-1-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-1 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-1-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-1-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 429011 478717 488063 495698 498940 505256 506835 507958 508108 508173 508661 509097 510607
Changes: 
 linux-2.6 (2.6.26-13) unstable; urgency=high
 .
   [ dann frazier ]
   * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
     hangs. (closes: #478717)
   * cciss: Add PCI ids for P711m and p712m
   * Fix buffer underflow in the ib700wdt watchdog driver (CVE-2008-5702)
   * [sparc] Enable CONFIG_FB_XVR500, CONFIG_FB_XVR2500 (Closes: #508108)
   * [ia64] Add RTC class driver for EFI
   * [hppa] Fix system crash while unwinding a userspace process
     (CVE-2008-5395)
   * Set a minimum timeout for SG_IO requests (CVE-2008-5700)
 .
   [ Bastian Blank ]
   * Fix multicast in atl1e driver. (closes: #509097)
 .
   [ Moritz Muehlenhoff ]
   * Fix speaker output on Toshiba P105 notebooks. (closes: #488063)
   * uvc: Fix incomplete frame drop when switching to a variable
     size format (closes: #508661)
   * Allow booting Mach images in KVM (Closes: #498940)
   * Add workaround for USB storage on Rockchip MP3 player (Closes: #505256)
   * Enable w9968cf driver on all i386 images (Closes: #495698)
   * Register DualPoint model found in Dell Latitude E6500 (Closes: #507958)
   * Disable link tuning in rt2500usb driver. (Closes: #510607)
   * Fix regressions in eata driver (Closes: #506835)
   * Skip incompatible fbdev logos (Closes: #508173)
   * Fix error path in PCI probing of Cyclades driver (Closes: #429011)
 .
   [ Martin Michlmayr ]
   * V4L/DVB: Fix initialization of URB list (Thomas Reitmayr) to address
     the oops reported at http://forum.qnap.com/viewtopic.php?f=147&t=10572
   * Add some patches from the Linux/MIPS linux-2.6.26-stable tree:
     - Fix potential DOS by untrusted user app (CVE-2008-5701)
     - o32: Fix number of arguments to splice(2).
     - 64-bit: vmsplice needs to use the compat wrapper for o32 and N32.
     - Return ENOSYS from sys32_syscall on 64bit kernels like elsewhere.
     - Use EI/DI for MIPS R2.
     - MIPS64R2: Fix buggy __arch_swab64
     - Add missing calls to plat_unmap_dma_mem.
     - Only write c0_framemask on CPUs which have this register.
Checksums-Sha1: 
 88908db67056d44e1897067dec61b8edc9228bfb 5761 linux-2.6_2.6.26-13.dsc
 8e20ba3c07705d2283b0f8e829e597c87c3373a8 7514564 linux-2.6_2.6.26-13.diff.gz
 630a5a9d6f51c5d110d639a3f810d41579ea8c69 4616384 linux-doc-2.6.26_2.6.26-13_all.deb
 66bc0c1ad59270477da24a49ca24ca9a50af7cc6 1760802 linux-manual-2.6.26_2.6.26-13_all.deb
 cfe5ffb255e9c0e5e54521a922b9439529a476cd 2016660 linux-patch-debian-2.6.26_2.6.26-13_all.deb
 6ea723010754c140c675faae06f4840658b5e13b 48465280 linux-source-2.6.26_2.6.26-13_all.deb
 606be6cdfa1c36c1176880b6552b5b554b7567f5 116102 linux-support-2.6.26-1_2.6.26-13_all.deb
 a45c84e4ca8c360527447a20d53599f7321c11f7 100758 linux-tree-2.6.26_2.6.26-13_all.deb
 6f3fd59d28e5c9aa2603d6175c895f43df0dc2c7 22992440 linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 9d9d900280ab45570cddfdf96acd241d0bbc23a5 353244 linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 39b4c90a3334d23afec3d18935daf72ccac7497f 23391384 linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 5b8b3e9a017cc9a1cd2d80278a5d8705e1800edb 354300 linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 cff89accf8a7ba12371a252dae6fdadab040b9f4 23229832 linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 e65f43e9af72be34c178641b1d9b882e4e3dc003 362572 linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 93a4983c25c16fd0111137481d17dd2c2e0c8023 3770378 linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
 bbebc71d6180137aa69a9c173346039f66c1b3ae 100336 linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
 9ce9ac822a4442a526655afe1a01291c4b64af4d 100372 linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
 5533d36d273143811e18d36adaa6fbfa691deb5a 736790 linux-libc-dev_2.6.26-13_powerpc.deb
 fe9c6b38f7164de8360980fbf99641ad7a08e77c 23420930 linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 951ead2df724135264769125ad4968f99893f0b6 355022 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 77ad7faf3319724679c3f91c756db437cf80fac2 23287696 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 ca1424264568bd940acccede4332bcbd9cf407bb 362212 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 a67042c102ba6174ce501b8816cebe70b1775f7b 3802864 linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
Checksums-Sha256: 
 503a1217acd7d92f5e559270c00a347ed3d15f4a7aea605622b2cbd932b81add 5761 linux-2.6_2.6.26-13.dsc
 0d75fa267670f0ddf66a9891d9c2a87be2a4798e730f069e1fcfe26a82232629 7514564 linux-2.6_2.6.26-13.diff.gz
 b9d37cbe209b1dc46de7279395c7a6534ce62bd928f20feb15f5bc35f375f949 4616384 linux-doc-2.6.26_2.6.26-13_all.deb
 3265d944c1dc5d957236e076ddcd730defdefed80db0f4d4ad5e202311d57107 1760802 linux-manual-2.6.26_2.6.26-13_all.deb
 1e95613c5fec3b7b21d2a974816c33428542717a7fdd2e182f18a0bb0aaa0242 2016660 linux-patch-debian-2.6.26_2.6.26-13_all.deb
 3f4ff51623d9288827dc8577668f65b9fbd513401f07270d5442f82580417952 48465280 linux-source-2.6.26_2.6.26-13_all.deb
 d8b5dda0a01030f16ded11f81f3c381d85e574831b866a875d99e3d23f3e0912 116102 linux-support-2.6.26-1_2.6.26-13_all.deb
 3e22494d011313c5cb4da92656846463aec43b03e602adeff3262de8361aea68 100758 linux-tree-2.6.26_2.6.26-13_all.deb
 145f85959ec820c1bd4c0f64ad504f96e1ce31363ba16f8ba71d7931fece9a87 22992440 linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 81ca95542bd5e286eeee2f01e418021fdd04dcf240c732cb9a15908d2bbcea1c 353244 linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 02fa3f4e31f8b64be70cf95124314cb2a476dfe0a7e8a55267aba86b485df962 23391384 linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 15c5d0b6841308dba42060d4d4f3c5a2f1f0e408537e0e0abc075f71fdf96e41 354300 linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 d37e7ce4d9cdd891f6a96167703821310322723f066690c57a48089dce3d799e 23229832 linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 93968571c34c8fb5c4e5dc6610a620b263d1e59fb6aead5507954492b6bdbf66 362572 linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 daaca859ab2ce231d3848171f4c865261453d670ea1099531819dede73a3450d 3770378 linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
 656f9e865728eb303b45b665d356da7813bf0ed1db324c467d3a8c5f50d6542b 100336 linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
 3d6585b0b4719302e3419a302e338c5456ed13b35362f181fd872fc48d7fc824 100372 linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
 69233a00eb249dcfbc5700ecbbfb8c2bdfe66a9c0dcebbf0c8f4f0edda9b45a4 736790 linux-libc-dev_2.6.26-13_powerpc.deb
 d884fe0b57759c27370ab68679ae334efccf3e2ae168b363cc06a1ac8ea5ab95 23420930 linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 5dfcc8928b3e47164ec3b19b6669bea08aab9435e23e359dda3d83c50ba439bf 355022 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 4d1b4ae33a04736e0251d3392e57d081c4e7559718fe228cd126340f1b1a2b90 23287696 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 d08c661a02c91868bfb23ae5feaa0adf9a83a443a32aabe3ef2b3b2fdc467a59 362212 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 1bc14091672ed6ec847b8e72138726bc42a22dfa7a4a46dfbfa219000c4562ce 3802864 linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
Files: 
 478feb31cf8adb18cfe812db25acf8d4 5761 devel optional linux-2.6_2.6.26-13.dsc
 ae611f130018ffee82f605384a72a59a 7514564 devel optional linux-2.6_2.6.26-13.diff.gz
 1ecf206ff365305860322823e35df31a 4616384 doc optional linux-doc-2.6.26_2.6.26-13_all.deb
 13c50c35427869c8621ffe01af07eb05 1760802 doc optional linux-manual-2.6.26_2.6.26-13_all.deb
 eba271e95b6c09d3492ebe90786ed0de 2016660 devel optional linux-patch-debian-2.6.26_2.6.26-13_all.deb
 a253bce286dd1610b757cefea5bd8a0e 48465280 devel optional linux-source-2.6.26_2.6.26-13_all.deb
 ce1666e6dd27315926f779cddc6d5523 116102 devel optional linux-support-2.6.26-1_2.6.26-13_all.deb
 fd2fca91cd1a9ad4730017e8f15f89bf 100758 devel optional linux-tree-2.6.26_2.6.26-13_all.deb
 2b9dfe7884401b9471333d8a3f898db3 22992440 admin optional linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 3fa348956cf7df44027e5e29f6b0ad2d 353244 devel optional linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 3ec2926a32842fc67002cdfaa16bc982 23391384 admin optional linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 07321ac08b4fa63d24959873c3aba4e6 354300 devel optional linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 8910961e7a51b09be23022726c394c61 23229832 admin optional linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 e633e152e64b7e60c603a42a190ad53e 362572 devel optional linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 35a1c7fb86c4436c28db651bbd6a8ccd 3770378 devel optional linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
 5634282778df843ca7542f59c67c3b3b 100336 devel optional linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
 009c180bed3d40fbbd710ea113bb63bf 100372 devel optional linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
 466ce78b4d314b98ad95222caa99e878 736790 devel optional linux-libc-dev_2.6.26-13_powerpc.deb
 d146b072c618684b81fb1bf380cba18b 23420930 admin optional linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 07b5afe18a94134cf008900448d2d974 355022 devel optional linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 78aea09c08e28e8ed36aeff212f996fd 23287696 admin optional linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 d0386fa71e03795cd886b9004c1824a5 362212 devel optional linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 e92048405fa7800dff1612f6e75d74d8 3802864 devel optional linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklo0r8ACgkQLkAIIn9ODhHViwCfT0/ycbOozXDYp/mWEf4PCFGr
0L8AoIZZdEVFMIvv5CgEe9dWG1597oq5
=xs4j
-----END PGP SIGNATURE-----





Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sat, 10 Jan 2009 17:09:07 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Sat, 10 Jan 2009 17:09:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Thu, 15 Jan 2009 11:27:04 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:51:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:51:04 GMT) Full text and rfc822 format available.

Message #202 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in user-mode-linux 2.6.18-1um-2etch.24
Date: Mon, 09 Feb 2009 21:35:53 +0000
Source: user-mode-linux
Source-Version: 2.6.18-1um-2etch.24

We believe that the bug you reported is fixed in the latest version of
user-mode-linux, which is due to be installed in the Debian FTP archive:

user-mode-linux_2.6.18-1um-2etch.24.diff.gz
  to pool/main/u/user-mode-linux/user-mode-linux_2.6.18-1um-2etch.24.diff.gz
user-mode-linux_2.6.18-1um-2etch.24.dsc
  to pool/main/u/user-mode-linux/user-mode-linux_2.6.18-1um-2etch.24.dsc
user-mode-linux_2.6.18-1um-2etch.24_i386.deb
  to pool/main/u/user-mode-linux/user-mode-linux_2.6.18-1um-2etch.24_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated user-mode-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Dec 2008 12:11:56 -0700
Source: user-mode-linux
Binary: user-mode-linux
Architecture: source i386
Version: 2.6.18-1um-2etch.24
Distribution: stable
Urgency: high
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 user-mode-linux - User-mode Linux (kernel)
Closes: 391373 478717 502553 506418 506420
Changes: 
 user-mode-linux (2.6.18-1um-2etch.24) stable; urgency=high
 .
   * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24:
     [ dann frazier ]
     * cciss: Add support for new hardware (closes: #502553)
        - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
        - Read the FIFO size from the controller config instead of
          hardcoding it into the driver
     * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
       hangs. (closes: #478717)
 .
     [ Ian Campbell ]
     * xen: Add softlockup-no-idle-hz.patch to prevent softlockup in xen guest.
       (closes: #506418)
 .
     [ Bastian Blank ]
     * [xen] Remove 4gb segments warning completely. (closes: #391373)
     * [xen/i386] Fix pseudo hwcap value to match newer kernels.
       (closes: #506420)
Files: 
 a1c5b965f88cba4b1b710130f20944a2 877 misc extra user-mode-linux_2.6.18-1um-2etch.24.dsc
 6f58c7c625c76ff7fdeeb32c502b953f 19691 misc extra user-mode-linux_2.6.18-1um-2etch.24.diff.gz
 692cf2f50488b66dc333b12eacafbd98 25602764 misc extra user-mode-linux_2.6.18-1um-2etch.24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJWTFXhuANDBmkLRkRAhAvAJ4wkOuy4otOgudHnknNp7SCD3qHnQCdHHIB
6ZQfZgyGylRq309vJ4m6jvE=
=hdlK
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:51:05 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:51:05 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:54:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:54:07 GMT) Full text and rfc822 format available.

Message #212 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in linux-2.6 2.6.18.dfsg.1-24
Date: Mon, 09 Feb 2009 21:35:39 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-24

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-24.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-24.diff.gz
linux-2.6_2.6.18.dfsg.1-24.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-24.dsc
linux-doc-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-headers-2.6.18-6-all-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-all-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-all_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-all_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-vserver_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-vserver_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen-vserver_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen-vserver_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6-xen_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-xen_2.6.18.dfsg.1-24_amd64.deb
linux-headers-2.6.18-6_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-image-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-manual-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-modules-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-modules-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-modules-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/linux-modules-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-24_all.deb
linux-support-2.6.18-6_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-6_2.6.18.dfsg.1-24_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-24_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-24_all.deb
xen-linux-system-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/xen-linux-system-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
xen-linux-system-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
  to pool/main/l/linux-2.6/xen-linux-system-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Dec 2008 11:12:55 -0700
Source: linux-2.6
Binary: linux-image-2.6.18-6-vserver-powerpc linux-image-2.6.18-6-sparc32 linux-headers-2.6.18-6-r4k-kn04 linux-image-2.6.18-6-s390x linux-headers-2.6.18-6-r4k-ip22 linux-headers-2.6.18-6-xen-vserver-686 linux-headers-2.6.18-6-alpha-legacy linux-modules-2.6.18-6-xen-686 linux-headers-2.6.18-6-alpha-generic linux-headers-2.6.18-6-powerpc-miboot linux-headers-2.6.18-6-all-mips linux-image-2.6.18-6-r4k-ip22 linux-headers-2.6.18-6-powerpc-smp linux-headers-2.6.18-6-vserver-k7 xen-linux-system-2.6.18-6-xen-amd64 linux-manual-2.6.18 linux-image-2.6.18-6-footbridge linux-image-2.6.18-6-parisc-smp linux-image-2.6.18-6-s390 linux-image-2.6.18-6-xen-686 linux-image-2.6.18-6-amd64 linux-image-2.6.18-6-powerpc-miboot linux-headers-2.6.18-6-qemu linux-headers-2.6.18-6-mac linux-image-2.6.18-6-powerpc-smp linux-headers-2.6.18-6-rpc linux-image-2.6.18-6-xen-amd64 linux-headers-2.6.18-6-r5k-cobalt linux-headers-2.6.18-6-itanium linux-image-2.6.18-6-itanium linux-headers-2.6.18-6-vserver-sparc64 linux-image-2.6.18-6-powerpc linux-image-2.6.18-6-parisc linux-modules-2.6.18-6-xen-vserver-amd64 linux-image-2.6.18-6-parisc64-smp linux-headers-2.6.18-6-iop32x linux-image-2.6.18-6-sparc64-smp linux-image-2.6.18-6-686-bigmem linux-headers-2.6.18-6-all-mipsel linux-headers-2.6.18-6-all-ia64 linux-headers-2.6.18-6-ixp4xx linux-image-2.6.18-6-amiga linux-headers-2.6.18-6-all-m68k linux-image-2.6.18-6-r3k-kn02 linux-headers-2.6.18-6-mckinley linux-modules-2.6.18-6-xen-vserver-686 linux-image-2.6.18-6-alpha-legacy linux-image-2.6.18-6-alpha-smp linux-headers-2.6.18-6-xen-vserver-amd64 linux-headers-2.6.18-6-atari linux-image-2.6.18-6-vserver-powerpc64 linux-image-2.6.18-6-alpha-generic linux-headers-2.6.18-6-vserver-686 xen-linux-system-2.6.18-6-xen-vserver-686 linux-image-2.6.18-6-k7 linux-image-2.6.18-6-sb1a-bcm91480b linux-headers-2.6.18-6-all-hppa linux-headers-2.6.18-6-xen-amd64 linux-image-2.6.18-6-rpc linux-support-2.6.18-6 linux-doc-2.6.18 linux-headers-2.6.18-6-sparc64 linux-headers-2.6.18-6-all-amd64 linux-headers-2.6.18-6-sparc32 linux-headers-2.6.18-6-all-alpha linux-headers-2.6.18-6-alpha-smp linux-headers-2.6.18-6 linux-image-2.6.18-6-iop32x linux-image-2.6.18-6-vserver-k7 linux-image-2.6.18-6-parisc64 linux-headers-2.6.18-6-k7 linux-image-2.6.18-6-r5k-ip32 linux-image-2.6.18-6-r4k-kn04 linux-headers-2.6.18-6-all linux-image-2.6.18-6-atari linux-headers-2.6.18-6-vserver-powerpc linux-source-2.6.18 linux-headers-2.6.18-6-amd64 linux-headers-2.6.18-6-xen-686 linux-headers-2.6.18-6-r5k-ip32 linux-headers-2.6.18-6-sb1-bcm91250a linux-image-2.6.18-6-qemu linux-headers-2.6.18-6-xen linux-headers-2.6.18-6-prep linux-headers-2.6.18-6-all-sparc linux-image-2.6.18-6-mckinley linux-headers-2.6.18-6-vserver-s390x xen-linux-system-2.6.18-6-xen-vserver-amd64 linux-headers-2.6.18-6-footbridge linux-image-2.6.18-6-sb1-bcm91250a linux-image-2.6.18-6-xen-vserver-amd64 linux-image-2.6.18-6-mac xen-linux-system-2.6.18-6-xen-686 linux-image-2.6.18-6-r5k-cobalt linux-headers-2.6.18-6-s390x linux-image-2.6.18-6-xen-vserver-686 linux-headers-2.6.18-6-parisc64 linux-headers-2.6.18-6-parisc-smp linux-headers-2.6.18-6-r3k-kn02 linux-headers-2.6.18-6-s3c2410 linux-headers-2.6.18-6-xen-vserver linux-image-2.6.18-6-vserver-sparc64 linux-headers-2.6.18-6-686 linux-image-2.6.18-6-vserver-amd64 linux-headers-2.6.18-6-powerpc linux-headers-2.6.18-6-686-bigmem linux-image-2.6.18-6-686 linux-headers-2.6.18-6-amiga linux-image-2.6.18-6-vserver-686 linux-image-2.6.18-6-powerpc64 linux-headers-2.6.18-6-vserver-powerpc64 linux-headers-2.6.18-6-all-arm linux-image-2.6.18-6-sparc64 linux-headers-2.6.18-6-all-powerpc linux-image-2.6.18-6-486 linux-image-2.6.18-6-s3c2410 linux-headers-2.6.18-6-vserver-alpha linux-headers-2.6.18-6-parisc64-smp linux-image-2.6.18-6-prep linux-patch-debian-2.6.18 linux-headers-2.6.18-6-sparc64-smp linux-modules-2.6.18-6-xen-amd64 linux-tree-2.6.18 linux-image-2.6.18-6-s390-tape linux-headers-2.6.18-6-vserver-amd64 linux-image-2.6.18-6-vserver-s390x linux-image-2.6.18-6-vserver-alpha linux-headers-2.6.18-6-sb1a-bcm91480b linux-headers-2.6.18-6-powerpc64 linux-headers-2.6.18-6-all-i386 linux-headers-2.6.18-6-parisc linux-headers-2.6.18-6-s390 linux-headers-2.6.18-6-vserver linux-image-2.6.18-6-ixp4xx linux-headers-2.6.18-6-486 linux-headers-2.6.18-6-all-s390
Architecture: source amd64 all
Version: 2.6.18.dfsg.1-24
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-6 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-6-all-amd64 - All header files for Linux 2.6.18
 linux-headers-2.6.18-6-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-headers-2.6.18-6-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-vserver-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-headers-2.6.18-6-xen - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-xen-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-headers-2.6.18-6-xen-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-xen-vserver-amd64 - Header files for Linux 2.6.18 on AMD64
 linux-image-2.6.18-6-amd64 - Linux 2.6.18 image on AMD64
 linux-image-2.6.18-6-vserver-amd64 - Linux 2.6.18 image on AMD64
 linux-image-2.6.18-6-xen-amd64 - Linux 2.6.18 image on AMD64
 linux-image-2.6.18-6-xen-vserver-amd64 - Linux 2.6.18 image on AMD64
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-modules-2.6.18-6-xen-amd64 - Linux 2.6.18 modules on AMD64
 linux-modules-2.6.18-6-xen-vserver-amd64 - Linux 2.6.18 modules on AMD64
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-6 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.18-6-xen-amd64 - XEN system with Linux 2.6.18 image on AMD64
 xen-linux-system-2.6.18-6-xen-vserver-amd64 - XEN system with Linux 2.6.18 image on AMD64
Closes: 391373 478717 502553 506418 506420
Changes: 
 linux-2.6 (2.6.18.dfsg.1-24) stable; urgency=high
 .
   [ dann frazier ]
   * cciss: Add support for new hardware (closes: #502553)
      - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
      - Read the FIFO size from the controller config instead of
        hardcoding it into the driver
   * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
     hangs. (closes: #478717)
 .
   [ Ian Campbell ]
   * xen: Add softlockup-no-idle-hz.patch to prevent softlockup in xen guest.
     (closes: #506418)
 .
   [ Bastian Blank ]
   * [xen] Remove 4gb segments warning completely. (closes: #391373)
   * [xen/i386] Fix pseudo hwcap value to match newer kernels.
     (closes: #506420)
Files: 
 6d0372de0b51309ad677e4b550b7a773 5662 devel optional linux-2.6_2.6.18.dfsg.1-24.dsc
 5c9578ccfeb733242d86dae27883942a 5418477 devel optional linux-2.6_2.6.18.dfsg.1-24.diff.gz
 2fb9a3aa5772a5bd79f5c2b1aa5e5246 3591808 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-24_all.deb
 8133e8b33d9af82266abc9de0efd2b64 1090714 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-24_all.deb
 531c381fcc925e78c3b74a783a37a704 1692328 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-24_all.deb
 1d238a43a5493dd1a2572e70a08701a2 41468514 devel optional linux-source-2.6.18_2.6.18.dfsg.1-24_all.deb
 419e0ad65f776e3738e88edf762c5d39 3720338 devel optional linux-support-2.6.18-6_2.6.18.dfsg.1-24_all.deb
 11b9b929c0336aaab36788da3cedb851 57182 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-24_all.deb
 a212baace991b6d035ef5f8c659d0130 56576 devel optional linux-headers-2.6.18-6-all_2.6.18.dfsg.1-24_amd64.deb
 592b0a3879728c6fe05e76a3ce3870f6 56606 devel optional linux-headers-2.6.18-6-all-amd64_2.6.18.dfsg.1-24_amd64.deb
 d34fda672a0096d106853863a6dd1555 3170914 devel optional linux-headers-2.6.18-6_2.6.18.dfsg.1-24_amd64.deb
 4c39a7b92e63023b814a85c54c730a2d 16821314 admin optional linux-image-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
 9074473410fabc22cd9722125fc3520e 273038 devel optional linux-headers-2.6.18-6-amd64_2.6.18.dfsg.1-24_amd64.deb
 8a72ffc4fb4453ac4c5407fc0034a6aa 3194062 devel optional linux-headers-2.6.18-6-vserver_2.6.18.dfsg.1-24_amd64.deb
 9587a09afb11ba997daea5df23d5bdd7 16866896 admin optional linux-image-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 289f242f0529a64d4e17e15106b1f149 273292 devel optional linux-headers-2.6.18-6-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 79555ce783b589079956b04a75648a9e 3337162 devel optional linux-headers-2.6.18-6-xen_2.6.18.dfsg.1-24_amd64.deb
 1ec810f80ea3ddedc967a5e0559b8f41 1654700 admin optional linux-image-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 0eaac441550da155e78882cf44a2d756 15263924 admin optional linux-modules-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 b2e4c0d3d6227cd7771a1e157a924a9d 273660 devel optional linux-headers-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 f8c7da811427db0c91145765af411a39 56562 admin extra xen-linux-system-2.6.18-6-xen-amd64_2.6.18.dfsg.1-24_amd64.deb
 cda5b3b1abfc0d972c664c2c00b5f878 3360138 devel optional linux-headers-2.6.18-6-xen-vserver_2.6.18.dfsg.1-24_amd64.deb
 add8b7b66b82e000180aa9ff4493fce7 1687628 admin optional linux-image-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 14be44a7a3c1f6916891537a0515b2c0 15276404 admin optional linux-modules-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 23f863a5ff2e9617118d135d43ee4023 273954 devel optional linux-headers-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb
 3682488ba61384e74a62e847c1bc6110 56574 admin extra xen-linux-system-2.6.18-6-xen-vserver-amd64_2.6.18.dfsg.1-24_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJVazwhuANDBmkLRkRAnxzAJ9bt/PCY1CU8dKBZCcX84GpjI4RFwCghgb1
BE/s3v7yrk3W71/Q8HjJfyM=
=5wYv
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:54:08 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:54:08 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:54:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:54:09 GMT) Full text and rfc822 format available.

Message #222 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in linux-2.6.24 2.6.24-6~etchnhalf.8
Date: Mon, 09 Feb 2009 21:35:40 +0000
Source: linux-2.6.24
Source-Version: 2.6.24-6~etchnhalf.8

We believe that the bug you reported is fixed in the latest version of
linux-2.6.24, which is due to be installed in the Debian FTP archive:

linux-2.6.24_2.6.24-6~etchnhalf.8.diff.gz
  to pool/main/l/linux-2.6.24/linux-2.6.24_2.6.24-6~etchnhalf.8.diff.gz
linux-2.6.24_2.6.24-6~etchnhalf.8.dsc
  to pool/main/l/linux-2.6.24/linux-2.6.24_2.6.24-6~etchnhalf.8.dsc
linux-doc-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-doc-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-headers-2.6.24-etchnhalf.1-all-hppa_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-all-hppa_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-all_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-all_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-common_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-common_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
linux-headers-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-headers-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
linux-image-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
  to pool/main/l/linux-2.6.24/linux-image-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
linux-manual-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-manual-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-patch-debian-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-patch-debian-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-source-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-source-2.6.24_2.6.24-6~etchnhalf.8_all.deb
linux-support-2.6.24-etchnhalf.1_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-support-2.6.24-etchnhalf.1_2.6.24-6~etchnhalf.8_all.deb
linux-tree-2.6.24_2.6.24-6~etchnhalf.8_all.deb
  to pool/main/l/linux-2.6.24/linux-tree-2.6.24_2.6.24-6~etchnhalf.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6.24 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Dec 2008 18:09:18 -0700
Source: linux-2.6.24
Binary: linux-headers-2.6.24-etchnhalf.1-486 linux-headers-2.6.24-etchnhalf.1-all-amd64 linux-patch-debian-2.6.24 linux-headers-2.6.24-etchnhalf.1-all-ia64 linux-image-2.6.24-etchnhalf.1-s390x linux-image-2.6.24-etchnhalf.1-parisc-smp linux-image-2.6.24-etchnhalf.1-parisc64-smp linux-headers-2.6.24-etchnhalf.1-atari linux-headers-2.6.24-etchnhalf.1-parisc64-smp linux-headers-2.6.24-etchnhalf.1-sb1-bcm91250a linux-headers-2.6.24-etchnhalf.1-r5k-ip32 linux-image-2.6.24-etchnhalf.1-alpha-smp linux-image-2.6.24-etchnhalf.1-r5k-cobalt linux-image-2.6.24-etchnhalf.1-r5k-ip32 linux-image-2.6.24-etchnhalf.1-mac linux-image-2.6.24-etchnhalf.1-powerpc linux-headers-2.6.24-etchnhalf.1-r4k-ip22 linux-headers-2.6.24-etchnhalf.1-mckinley linux-headers-2.6.24-etchnhalf.1-all-sparc linux-headers-2.6.24-etchnhalf.1-mvme16x linux-headers-2.6.24-etchnhalf.1-footbridge linux-image-2.6.24-etchnhalf.1-486 linux-headers-2.6.24-etchnhalf.1-sparc64-smp linux-headers-2.6.24-etchnhalf.1-parisc64 linux-headers-2.6.24-etchnhalf.1-amd64 linux-image-2.6.24-etchnhalf.1-powerpc-miboot linux-image-2.6.24-etchnhalf.1-sparc64-smp linux-image-2.6.24-etchnhalf.1-r4k-ip22 linux-headers-2.6.24-etchnhalf.1-versatile linux-image-2.6.24-etchnhalf.1-sb1a-bcm91480b linux-image-2.6.24-etchnhalf.1-itanium linux-headers-2.6.24-etchnhalf.1-all-arm linux-image-2.6.24-etchnhalf.1-parisc linux-headers-2.6.24-etchnhalf.1-4kc-malta linux-image-2.6.24-etchnhalf.1-amd64 linux-image-2.6.24-etchnhalf.1-powerpc64 linux-headers-2.6.24-etchnhalf.1-powerpc linux-headers-2.6.24-etchnhalf.1-alpha-legacy linux-image-2.6.24-etchnhalf.1-sb1-bcm91250a linux-image-2.6.24-etchnhalf.1-alpha-generic linux-image-2.6.24-etchnhalf.1-versatile linux-headers-2.6.24-etchnhalf.1-powerpc-miboot linux-headers-2.6.24-etchnhalf.1-all-armel linux-headers-2.6.24-etchnhalf.1-mac linux-headers-2.6.24-etchnhalf.1-r5k-cobalt linux-image-2.6.24-etchnhalf.1-atari linux-image-2.6.24-etchnhalf.1-ixp4xx linux-headers-2.6.24-etchnhalf.1-powerpc64 linux-headers-2.6.24-etchnhalf.1-iop32x linux-headers-2.6.24-etchnhalf.1-ixp4xx linux-headers-2.6.24-etchnhalf.1-common linux-headers-2.6.24-etchnhalf.1-alpha-generic linux-headers-2.6.24-etchnhalf.1-parisc-smp linux-headers-2.6.24-etchnhalf.1-all-mipsel linux-image-2.6.24-etchnhalf.1-mvme16x linux-headers-2.6.24-etchnhalf.1-all linux-headers-2.6.24-etchnhalf.1-all-powerpc linux-headers-2.6.24-etchnhalf.1-alpha-smp linux-headers-2.6.24-etchnhalf.1-mvme147 linux-headers-2.6.24-etchnhalf.1-686 linux-headers-2.6.24-etchnhalf.1-sb1a-bcm91480b linux-headers-2.6.24-etchnhalf.1-itanium linux-image-2.6.24-etchnhalf.1-s390 linux-headers-2.6.24-etchnhalf.1-all-hppa linux-image-2.6.24-etchnhalf.1-mvme147 linux-image-2.6.24-etchnhalf.1-iop32x linux-tree-2.6.24 linux-headers-2.6.24-etchnhalf.1-all-mips linux-manual-2.6.24 linux-headers-2.6.24-etchnhalf.1-amiga linux-support-2.6.24-etchnhalf.1 linux-image-2.6.24-etchnhalf.1-bvme6000 linux-image-2.6.24-etchnhalf.1-s390-tape linux-headers-2.6.24-etchnhalf.1-parisc linux-headers-2.6.24-etchnhalf.1-all-m68k linux-headers-2.6.24-etchnhalf.1-bvme6000 linux-image-2.6.24-etchnhalf.1-686 linux-headers-2.6.24-etchnhalf.1-686-bigmem linux-image-2.6.24-etchnhalf.1-amiga linux-image-2.6.24-etchnhalf.1-5kc-malta linux-headers-2.6.24-etchnhalf.1-sparc64 linux-headers-2.6.24-etchnhalf.1-5kc-malta linux-image-2.6.24-etchnhalf.1-footbridge linux-image-2.6.24-etchnhalf.1-686-bigmem linux-doc-2.6.24 linux-headers-2.6.24-etchnhalf.1-all-i386 linux-image-2.6.24-etchnhalf.1-parisc64 linux-headers-2.6.24-etchnhalf.1-all-s390 linux-source-2.6.24 linux-image-2.6.24-etchnhalf.1-mckinley linux-image-2.6.24-etchnhalf.1-alpha-legacy linux-headers-2.6.24-etchnhalf.1-powerpc-smp linux-image-2.6.24-etchnhalf.1-powerpc-smp linux-headers-2.6.24-etchnhalf.1-s390x linux-image-2.6.24-etchnhalf.1-sparc64 linux-headers-2.6.24-etchnhalf.1-s390 linux-image-2.6.24-etchnhalf.1-4kc-malta linux-headers-2.6.24-etchnhalf.1-all-alpha
Architecture: source all hppa
Version: 2.6.24-6~etchnhalf.8
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.24 - Linux kernel specific documentation for version 2.6.24
 linux-headers-2.6.24-etchnhalf.1-all - All header files for Linux 2.6.24
 linux-headers-2.6.24-etchnhalf.1-all-hppa - All header files for Linux 2.6.24
 linux-headers-2.6.24-etchnhalf.1-common - Common header files for Linux 2.6.24
 linux-headers-2.6.24-etchnhalf.1-parisc - Header files for Linux 2.6.24 on 32-bit PA-RISC
 linux-headers-2.6.24-etchnhalf.1-parisc-smp - Header files for Linux 2.6.24 on multiprocessor 32-bit PA-RISC
 linux-headers-2.6.24-etchnhalf.1-parisc64 - Header files for Linux 2.6.24 on 64-bit PA-RISC
 linux-headers-2.6.24-etchnhalf.1-parisc64-smp - Header files for Linux 2.6.24 on multiprocessor 64-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc - Linux 2.6.24 image on 32-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc-smp - Linux 2.6.24 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc64 - Linux 2.6.24 image on 64-bit PA-RISC
 linux-image-2.6.24-etchnhalf.1-parisc64-smp - Linux 2.6.24 image on multiprocessor 64-bit PA-RISC
 linux-manual-2.6.24 - Linux kernel API manual pages for version 2.6.24
 linux-patch-debian-2.6.24 - Debian patches to version 2.6.24 of the Linux kernel
 linux-source-2.6.24 - Linux kernel source for version 2.6.24 with Debian patches
 linux-support-2.6.24-etchnhalf.1 - Support files for Linux 2.6.24
 linux-tree-2.6.24 - Linux kernel source tree for building Debian kernel images
Closes: 478717 502182 502553
Changes: 
 linux-2.6.24 (2.6.24-6~etchnhalf.8) stable; urgency=high
 .
   [ dann frazier ]
   * cciss: Add support for new hardware (closes: #502553)
      - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
      - Read the FIFO size from the controller config instead of
        hardcoding it into the driver
   * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
     hangs. (closes: #478717)
 .
   [ Martin Michlmayr ]
   * [arm/ixp4xx, arm/iop32x] Enable USB_ATM (closes: #502182).
Files: 
 84dfc34eac360a66ce0777c05a1ae7cf 5107 devel optional linux-2.6.24_2.6.24-6~etchnhalf.8.dsc
 0e5776062621d499bfc84ba6ad1cd581 3958711 devel optional linux-2.6.24_2.6.24-6~etchnhalf.8.diff.gz
 4e054ae03d1af3a3d31ffa250ffcaca1 4464124 doc optional linux-doc-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 84cd536c6166955d52dde8035bd95a08 1576282 doc optional linux-manual-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 5dc3e753d5023ef826ed72c36bdf33fb 787836 devel optional linux-patch-debian-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 beae40ccf6b131a31b3de2bba03f3e13 46983146 devel optional linux-source-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 615e3a71224f89846f3ca685284a7869 96026 devel optional linux-support-2.6.24-etchnhalf.1_2.6.24-6~etchnhalf.8_all.deb
 71a2572627a28fb36c58c9689932a286 81686 devel optional linux-tree-2.6.24_2.6.24-6~etchnhalf.8_all.deb
 bfbd0af2cc585a71b2c0803e8fc8c5da 13328656 admin optional linux-image-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
 6a00de9538d19321b33507217a8a2e7f 254814 devel optional linux-headers-2.6.24-etchnhalf.1-parisc_2.6.24-6~etchnhalf.8_hppa.deb
 cd7ca70e54ccd61344faae8755e0f3c9 13840310 admin optional linux-image-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
 b18d2971efe40479781f107c06b45835 256216 devel optional linux-headers-2.6.24-etchnhalf.1-parisc-smp_2.6.24-6~etchnhalf.8_hppa.deb
 120494a57035c3763dd56edb6ea5cbf1 14375278 admin optional linux-image-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
 f20790e7bff1f9913b24698d0ea0bd7f 255532 devel optional linux-headers-2.6.24-etchnhalf.1-parisc64_2.6.24-6~etchnhalf.8_hppa.deb
 b03cc675a4514af074b678a38bd22de6 14832796 admin optional linux-image-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
 4841f203f954ce1c6952bf648a376e29 257798 devel optional linux-headers-2.6.24-etchnhalf.1-parisc64-smp_2.6.24-6~etchnhalf.8_hppa.deb
 ced7440766dfa2cf5c15f7b396f2e3eb 3437824 devel optional linux-headers-2.6.24-etchnhalf.1-common_2.6.24-6~etchnhalf.8_hppa.deb
 f158a138b6c055e365124ac2db1f7a67 81272 devel optional linux-headers-2.6.24-etchnhalf.1-all_2.6.24-6~etchnhalf.8_hppa.deb
 0790a6c7b3e11013821b3a69d76dcc70 81296 devel optional linux-headers-2.6.24-etchnhalf.1-all-hppa_2.6.24-6~etchnhalf.8_hppa.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJU+80huANDBmkLRkRAk6uAKCIpitVA2zScNmtS8fpMmyscbByXACeJ9Mi
o8mk78sXydTB3Jn+2kNsbRI=
=I+Au
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:54:10 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:54:10 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:57:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:57:05 GMT) Full text and rfc822 format available.

Message #232 received at 478717-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 478717-close@bugs.debian.org
Subject: Bug#478717: fixed in fai-kernels 1.17+etch.24
Date: Mon, 09 Feb 2009 21:35:30 +0000
Source: fai-kernels
Source-Version: 1.17+etch.24

We believe that the bug you reported is fixed in the latest version of
fai-kernels, which is due to be installed in the Debian FTP archive:

fai-kernels_1.17+etch.24.dsc
  to pool/main/f/fai-kernels/fai-kernels_1.17+etch.24.dsc
fai-kernels_1.17+etch.24.tar.gz
  to pool/main/f/fai-kernels/fai-kernels_1.17+etch.24.tar.gz
fai-kernels_1.17+etch.24_i386.deb
  to pool/main/f/fai-kernels/fai-kernels_1.17+etch.24_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated fai-kernels package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Dec 2008 11:36:34 -0700
Source: fai-kernels
Binary: fai-kernels
Architecture: source i386
Version: 1.17+etch.24
Distribution: stable
Urgency: high
Maintainer: Holger Levsen <holger@debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 fai-kernels - special kernels for FAI (Fully Automatic Installation)
Closes: 391373 478717 502553 506418 506420
Changes: 
 fai-kernels (1.17+etch.24) stable; urgency=high
 .
   * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24:
     [ dann frazier ]
     * cciss: Add support for new hardware (closes: #502553)
        - Add PCI ids for P700m, P212, P410, P410i, P411, P812, P711m, p712m
        - Read the FIFO size from the controller config instead of
          hardcoding it into the driver
     * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
       hangs. (closes: #478717)
 .
     [ Ian Campbell ]
     * xen: Add softlockup-no-idle-hz.patch to prevent softlockup in xen guest.
       (closes: #506418)
 .
     [ Bastian Blank ]
     * [xen] Remove 4gb segments warning completely. (closes: #391373)
     * [xen/i386] Fix pseudo hwcap value to match newer kernels.
       (closes: #506420)
Files: 
 f1dd70eeba3e86e5f3abbd51ffbe2189 725 admin extra fai-kernels_1.17+etch.24.dsc
 70a28743493c996f9411c7b7a772f1ee 58059 admin extra fai-kernels_1.17+etch.24.tar.gz
 d1a10e3a5ab7a2f1d05bbe56e46f4f55 5509456 admin extra fai-kernels_1.17+etch.24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJWTFRhuANDBmkLRkRAo3DAKCCzBUVZT6q5kNjP7lH4E9XwrTzbQCeKQwN
YLiO7bRgFrEED4Iu2ZK+3kc=
=QSXe
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 09 Feb 2009 21:57:06 GMT) Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 21:57:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Mon, 09 Feb 2009 22:42:13 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Mon, 09 Feb 2009 22:48:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Mar 2009 07:31:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:40:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.